<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if (!isset($user) or $user["access"] != 3) {
        header('location: /');
        exit;
    }

    $act = isset($_GET["act"]) && !empty($_GET["act"]) ? trim($_GET["act"]) : false;

    $array = [
        1 => "Качалка",
        2 => "Подвал (опыт)",
        3 => "Эксклюзивный шмот"
    ];

    $stock = isset($_GET["stock"]) && !empty($_GET["stock"]) ? intval($_GET["stock"]) : false;

    switch ($act) {

        default:

            $title = "Акции";
            include "../../system/h.php";

            if (isset($_POST) and isset($_GET["stock"])) {

                $number = isset($_POST["stock_number"]) && !empty($_POST["stock_number"]) ? intval($_POST["stock_number"]) : false;

                if ($number == false or $number != 1 and $number != 2 and $number != 3) {

                    $_SESSION["errors"][0] .= "<div class=\"help-block\">Выбрана несуществующая акция.</div>";

                }

                $last_stockNumber = mysql_fetch_assoc(mysql_query("SELECT `id` FROM `stocks` WHERE `number` = '{$number}' AND `time` >= '".time()."' ORDER BY `time` DESC"));

                if ($last_stockNumber) {

                    $_SESSION["errors"][0] .= "<div class=\"help-block\">Предыдущая акция не закончилась.</div>";

                }

                $percent = isset($_POST["stock_percent"]) && !empty($_POST["stock_percent"]) ? intval($_POST["stock_percent"]) : false;

                if ($percent == false) {

                    $_SESSION["errors"][1] .= "<div class=\"help-block\">Необходимо заполнить «Скидка (%)».</div>";

                } elseif ($percent < 1) {

                    $_SESSION["errors"][1] .= "<div class=\"help-block\">Число не может быть меньше 1.</div>";

                } elseif ($percent > 90) {

                    $_SESSION["errors"][1] .= "<div class=\"help-block\">Число не может быть больше 90.</div>";

                }

                $days = isset($_POST["stock_time"]) && !empty($_POST["stock_time"]) ? intval($_POST["stock_time"]) : false;

                if ($days == false) {

                    $_SESSION["errors"][2] .= "<div class=\"help-block\">Необходимо заполнить «Время (дни)».</div>";

                } elseif ($days < 1) {

                    $_SESSION["errors"][2] .= "<div class=\"help-block\">Число не может быть меньше 1.</div>";

                }

                if ($_SESSION["errors"][0] == true or $_SESSION["errors"][1] == true or $_SESSION["errors"][2] == true) {

                    header("Location: ?");
                    exit;

                }

                $days = (time() + (86400 * $days));

                mysql_query("INSERT INTO `stocks` (`number`, `percent`, `time`) VALUES ('{$number}', '{$percent}', '{$days}')");

                header("Location: ?");
                exit;

            }

            $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `stocks` WHERE `time` > '".time()."'"));

            echo "<div class=\"content\">
            <div class=\"block center color3 s125\"><a href=\"/tb2021\">Панель</a>/ Акции</div>
            <div class=\"line\"></div>
            <form class=\"block\" action=\"?stock\" method=\"POST\">
            <div class=\"form-group ".(isset($_SESSION["errors"][0]) ? "has-error" : "")."\">
            <label class=\"control-label\" for=\"stock_number\">Акция</label>
            <select id=\"stock_number\" class=\"form-control\" name=\"stock_number\" aria-required=\"true\">
            <option value=\"1\">Качалка</option>
            <option value=\"2\">Подвал (опыт)</option>
            <option value=\"3\">Эксклюзивный шмот</option>
            </select>
            ".(isset($_SESSION["errors"][0]) ? $_SESSION["errors"][0] : "")."
            </div>
            <div class=\"form-group ".(isset($_SESSION["errors"][1]) ? "has-error" : "")."\">
            <label class=\"control-label\" for=\"stock_percent\">Скидка (%)</label>
            <input id=\"stock_percent\" class=\"form-control\" name=\"stock_percent\" aria-required=\"true\">
            ".(isset($_SESSION["errors"][1]) ? $_SESSION["errors"][1] : "")."
            </div>
            <div class=\"form-group ".(isset($_SESSION["errors"][2]) ? "has-error" : "")."\">
            <label class=\"control-label\" for=\"stock_time\">Время (дни)</label>
            <input id=\"stock_time\" class=\"form-control\" name=\"stock_time\" aria-required=\"true\">
            ".(isset($_SESSION["errors"][2]) ? $_SESSION["errors"][2] : "")."
            </div>
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Добавить</button>
            </span>
            </span>
            </form>
            <div class=\"line\"></div>
            <div class=\"menu\">
            <li>
            <a href=\"?act=list_stocks\">
            <img src=\"/images/icons/rating.jpg\" width=\"16\" height=\"16\" alt=\"\"> Список активных акций ".($count == true ? "({$count[0]})" : "(0)")."
            </a>
            </li>
            </div>
            <div class=\"dotted\"></div>
            </div>";

        break;

        case "list_stocks":

            if ($stock == false) {

                $title = "Список акций";
                include "../../system/h.php";

                echo "<div class=\"content\">
                <div class=\"block center color3 s125\"><a href=\"?\">Акции</a>/ Список акций</div>
                <div class=\"line\"></div>";

                $sort = isset($_GET["sort"]) && !empty($_GET["sort"]) ? trim($_GET["sort"]) : false;

                $max = 10;
                $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `stocks` WHERE `time` >= '".time()."'"));
                $pages = ceil($count[0]/$max);
                $page = isset($_GET["page"]) && !empty($_GET["page"]) ? trim(intval($_GET["page"])) : 0;

                if ($page > $pages) $page = $pages;
                if ($page < 1) $page = 1;

                $start = $page * $max - $max;

                $query = mysql_query("SELECT * FROM `stocks` WHERE `time` >= '".time()."' ORDER BY `time` DESC LIMIT {$start}, {$max}");
                while ($row = mysql_fetch_assoc($query)) {

                    echo "<div class=\"menu\">
                    <li>
                    <a href=\"?act=list_stocks&stock={$row["id"]}\">
                    <img src=\"/images/icons/rating.jpg\" width=\"16\" height=\"16\" alt=\"\"> {$array[$row["number"]]}
                    </a>
                    </li>
                    </div>
                    <div class=\"dotted\"></div>";

                }

                if ($count[0] == 0) {

                    echo "<div class=\"block center\">
                    Нет активных акций
                    </div>
                    <div class=\"dotted\"></div>";

                }

                ?>

                <ul class="pagination">
                    <li class="next">
                        <?=pages($sort.'&')?>
                    </li>
                </ul>

                <?php

                echo "</div>";

            } elseif ($stock == true) {

                $id = mysql_fetch_assoc(mysql_query("SELECT * FROM `stocks` WHERE `id` = '{$stock}'"));

                if ($id == false) {

                    header("Location: ?act=list_stocks");
                    exit;

                }

                $title = "Акция - {$array[$id["number"]]}";
                include "../../system/h.php";

                if (isset($_POST) and isset($_GET["edit"])) {

                    $addTime = isset($_POST["stock_addTime"]) && !empty($_POST["stock_addTime"]) ? intval($_POST["stock_addTime"]) : false;

                    if ($addTime == true and $addTime < 1) {

                        $_SESSION["errors"][0] .= "<div class=\"help-block\">Число не может быть меньше 1.</div>";

                    }

                    $editPercent = isset($_POST["stock_editPercent"]) && !empty($_POST["stock_editPercent"]) ? intval($_POST["stock_editPercent"]) : false;

                    if ($editPercent == false) {

                        $_SESSION["errors"][1] .= "<div class=\"help-block\">Необходимо заполнить «Время (дни)».</div>";

                    } elseif ($editPercent < 1) {

                        $_SESSION["errors"][1] .= "<div class=\"help-block\">Число не может быть меньше 1.</div>";

                    } elseif ($editPercent > 90) {

                        $_SESSION["errors"][1] .= "<div class=\"help-block\">Число не может быть больше 90.</div>";

                    }

                    if ($_SESSION["errors"][0] == false and $_SESSION["errors"][1] == false) {

                        header("Location: ?act=list_stocks&stock={$stock}");
                        exit;

                    }

                    mysql_query("UPDATE `stocks` SET `percent` = '{$editPercent}' WHERE `id` = '{$stock}'");
                    if($addTime == true){

                        $editPercent = ((time() + 86400) * $editPercent);

                        mysql_query("UPDATE `stocks` SET `time` = `time` + '{$editPercent}' WHERE `id` = '{$stock}'");

                    }

                    header("Location: ?act=list_stocks&stock={$stock}");
                    exit;

                }

                echo "<div class=\"content\">
                <div class=\"block center color3 s125\"><a href=\"?act=list_stocks\">Список акций</a>/ Акция - {$array[$id["number"]]}</div>
                <div class=\"line\"></div>";

                if (isset($_GET["del_stock"]) and !empty($_GET["del_stock"]) and intval($_GET["del_stock"])) {

                    if (isset($_GET["yes"])) {

                        mysql_query("DELETE FROM `stocks` WHERE `id` = '{$stock}'");
                        header("Location: ?act=list_stocks");
                        exit;

                    }

                    echo "<div class=\"block center\">
                    Вы действительно хотите удалить акцию?
                    </div>
                    <div class=\"dotted\"></div>
                    <div class=\"menu\">
                    <li><a href=\"?act=list_stocks&stock={$stock}&del_stock={$stock}&yes\">
                    <img src=\"/images/icons/ok.png\" width=\"16\" height=\"16\" alt=\"\"> Да, подтверждаю!
                    </a></li>
                    <li><a href=\"?act=list_stocks&stock={$stock}\">
                    <img src=\"/images/icons/cross.png\" width=\"16\" height=\"16\" alt=\"\"> Нет, отказываюсь!
                    </a></li>
                    </div>
                    <div class=\"dotted\"></div>";

                }

                echo "<form class=\"block\" action=\"?edit\" method=\"POST\">
                <div class=\"form-group ".(isset($_SESSION["errors"][0]) ? "has-error" : "")."\">
                <label class=\"control-label\" for=\"stock_addTime\">Добавить время (дни)</label>
                <input id=\"stock_addTime\" class=\"form-control\" name=\"stock_addTime\" aria-required=\"true\">
                ".(isset($_SESSION["errors"][0]) ? $_SESSION["errors"][0] : "")."
                </div>
                <div class=\"form-group ".(isset($_SESSION["errors"][1]) ? "has-error" : "")."\">
                <label class=\"control-label\" for=\"stock_editPercent\">Изменить скидку (%)</label>
                <input id=\"stock_editPercent\" class=\"form-control\" name=\"stock_editPercent\" aria-required=\"true\" value=\"{$id["percent"]}\">
                ".(isset($_SESSION["errors"][1]) ? $_SESSION["errors"][1] : "")."
                </div>
                <span class=\"m3 btn_start middle\">
                <span class=\"btn_end\">
                <button type=\"submit\" class=\"btn\">Изменить</button>
                </span>
                </span>
                <span class=\"m3 btn_start middle\">
                <span class=\"btn_end\">
                <a href=\"?act=list_stocks&stock={$stock}&del_stock={$stock}\" class=\"btn\">Удалить акцию</a>
                </span>
                </span>
                </form>
                </div>";

            }

        break;

    }

    for ($i = 0; $i <= 2; $i++) {

        if (isset($_SESSION["errors"][$i])) unset($_SESSION["errors"][$i]);

    }

    include "../../system/f.php";