<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if ( $user == false or $user["access"] <= 1 )
    {
        header("Location: /");
        exit;
    }

    $title = "Служба поддержки";
    include "../../system/h.php";

    $subject = [
        NULL,
        "Вопросы по игре",
        "Восстановление аккаунта",
        "Ошибка / Баг",
        "Вопросы по оплате",
        "Другое"
    ];
    $color_status = [
        0 => "color-quality2", #Ожидает ответа
        1 => "green", #Получен ответ
        2 => "red" #Закрыто
    ];
    $status = [
        0 => "Ожидает ответа",
        1 => "Получен ответ",
        2 => "Закрыто"
    ];

    $ticket_id = isset($_GET["ticket_id"]) && !empty($_GET["ticket_id"]) ? intval($_GET["ticket_id"]) : false;

    echo "<div class=\"content\">";

    if ( $ticket_id == false )
    {
        echo "<div class=\"block center s125 color3\">
        Служба поддержки
        </div>
        <div class=\"line\"></div>";

        $max = 10;
        $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `_ticket`"));
        $pages = ceil($count[0] / $max);
        $page = trim($_GET["page"]);

        if($page > $pages) $page = $pages;
        if($page < 1) $page = 1;

        $start = $page * $max - $max;

        if($count[0] > 0)
        {
            $query = mysql_query("SELECT * FROM `_ticket` ORDER BY `status` ASC, `time` DESC LIMIT {$start}, {$max}");
            while($row = mysql_fetch_assoc($query))
            {
                echo "<div class=\"block\">
                <a href=\"?ticket_id={$row["id"]}\">{$row["name"]}</a>
                <div>Автор: ".nickName($row["user"], true, true, true)."</div>
                <div>Тема: {$subject[$row["subject"]]}</div>
                <div>Статус: <span class=\"{$color_status[$row["status"]]}\">{$status[$row["status"]]}</span></div>
                <div class=\"small color2\">Создан ".timeBack($row["time"])."</div>
                </div>";
            }
            echo "<div class=\"dotted\"></div>";
            ?>
                <ul class="pagination"><?=pages("?")?></ul>
            <?
        }
        else
        {
            echo "<div class=\"block color2\">Существующих тикетов нет</div>";
        }
        echo "<div class=\"dotted\"></div>
        <div class=\"menu\">
        <li><a href=\"/tb2021\"><img src=\"/images/icons/back.png\" width=\"16\" height=\"16\" alt=\"\"> Вернуться назад</a></li>
        </div>";
    }
    else
    {
        $check_ticket = mysql_fetch_assoc(mysql_query("SELECT `user` FROM `_ticket` WHERE `id` = '{$ticket_id}'"));
        $ticket = mysql_fetch_assoc(mysql_query("SELECT * FROM `_ticket` WHERE `id` = '{$ticket_id}'"));
        if ( isset($_POST) and !empty($_POST) and $ticket["status"] != 2 )
        {
            $text = trim($_POST["text"]);
            if ( mb_strlen($text) < 2 or mb_strlen($text) > 2000 )
            {
                $_SESSION["error"] = "Длинна сообщения должна быть от 2 до 2000 символов";
                header("Location: ?ticket_id={$ticket_id}");
                exit;
            }
            $time = time();
            mysql_query("INSERT INTO `_ticket_message` (`ticket`, `support`, `text`, `time`) VALUES ('{$ticket_id}', '1', '{$text}', '{$time}')");
            mysql_query("UPDATE `_ticket` SET `status` = '1' WHERE `id` = '{$ticket_id}'");
            header("Location: ?ticket_id={$ticket_id}");
            exit;
        }
        if ( isset($_GET["close"]) and $ticket["status"] != 2 )
        {
            if ( isset($_GET["yes"]) )
            {
                mysql_query("UPDATE `_ticket` SET `status` = '2' WHERE `id` = '{$ticket_id}'");
                header("Location: ?ticket_id={$ticket_id}");
                exit;
            }
            echo "<div class=\"content\">
            <div class=\"block center s125 color3\">
            Закрыть тикет
            </div>
            <div class=\"line\"></div>
            <div class=\"block center red\">
            <div class=\"s125\">Вы уверены, хотите закрыть тикет?</div>
            </div>
            <div class=\"dotted\"></div>
            <div class=\"menu\">
            <li><a href=\"?ticket_id={$ticket_id}&close&yes\">
            <img src=\"/images/icons/ok.png\" width=\"16\" height=\"16\" alt=\"\"> Да, закрыть
            </a></li>
            <li><a href=\"?ticket_id={$ticket_id}\">
            <img src=\"/images/icons/cross.png\" width=\"16\" height=\"16\" alt=\"\"> Нет, не закрывать
            </a></li>
            </div>
            </div>
            </div>";
            include "../../system/f.php";
            exit;
        }
        if ( isset($_GET["open"]) and $ticket["status"] == 2 )
        {
            if ( isset($_GET["yes"]) )
            {
                mysql_query("UPDATE `_ticket` SET `status` = '1' WHERE `id` = '{$ticket_id}'");
                header("Location: ?ticket_id={$ticket_id}");
                exit;
            }
            echo "<div class=\"content\">
            <div class=\"block center s125 color3\">
            Закрыть тикет
            </div>
            <div class=\"line\"></div>
            <div class=\"block center red\">
            <div class=\"s125\">Вы уверены, хотите открыть тикет?</div>
            </div>
            <div class=\"dotted\"></div>
            <div class=\"menu\">
            <li><a href=\"?ticket_id={$ticket_id}&open&yes\">
            <img src=\"/images/icons/ok.png\" width=\"16\" height=\"16\" alt=\"\"> Да, открыть
            </a></li>
            <li><a href=\"?ticket_id={$ticket_id}\">
            <img src=\"/images/icons/cross.png\" width=\"16\" height=\"16\" alt=\"\"> Нет, не открывать
            </a></li>
            </div>
            </div>
            </div>";
            include "../../system/f.php";
            exit;
        }
        if ( isset($_GET["delete"]) )
        {
            if ( isset($_GET["yes"]) )
            {
                mysql_query("DELETE FROM `_ticket` WHERE `id` = '{$ticket_id}'");
                mysql_query("DELETE FROM `_ticket_message` WHERE `id` = '{$ticket_id}'");
                header("Location: ?");
                exit;
            }
            echo "<div class=\"content\">
            <div class=\"block center s125 color3\">
            Закрыть тикет
            </div>
            <div class=\"line\"></div>
            <div class=\"block center red\">
            <div class=\"s125\">Вы уверены, хотите удалить тикет?</div>
            </div>
            <div class=\"dotted\"></div>
            <div class=\"menu\">
            <li><a href=\"?ticket_id={$ticket_id}&delete&yes\">
            <img src=\"/images/icons/ok.png\" width=\"16\" height=\"16\" alt=\"\"> Да, удалить
            </a></li>
            <li><a href=\"?ticket_id={$ticket_id}\">
            <img src=\"/images/icons/cross.png\" width=\"16\" height=\"16\" alt=\"\"> Нет, не удалять
            </a></li>
            </div>
            </div>
            </div>";
            include "../../system/f.php";
            exit;
        }
        echo "<div class=\"content\">
        <div class=\"block center s125 color3\">
        Тикет#{$ticket_id}
        </div>
        <div class=\"line\"></div>
        <div class=\"block\">
        <u class=\"color3\">{$ticket["name"]}</u>
        <div>Тема: {$subject[$ticket["subject"]]}</div>
        <div>Автор: ".nickName($ticket["user"], true)."</div>
        <div>Статус: <span class=\"{$color_status[$ticket["status"]]}\">{$status[$ticket["status"]]}</span></div>
        </div>
        <div class=\"dotted\"></div>
        <div class=\"block center\">
        ".($ticket["status"] != 2 ? "
        <span class=\"m3 btn_start middle\">
        <span class=\"btn_end\">
        <a href=\"?ticket_id={$ticket_id}&close\" class=\"btn\">Закрыть тикет</a>
        </span>
        </span>
        " : false)."
        ".($ticket["status"] == 2 ? "
        <span class=\"m3 btn_start middle\">
        <span class=\"btn_end\">
        <a href=\"?ticket_id={$ticket_id}&open\" class=\"btn\">Открыть тикет</a>
        </span>
        </span>
        " : false)."
        <span class=\"m3 btn_start middle\">
        <span class=\"btn_end\">
        <a href=\"?ticket_id={$ticket_id}&delete\" class=\"btn\">Удалить тикет</a>
        </span>
        </span>
        </div>
        <div class=\"line\"></div>";

        if ( $ticket["status"] != 2 )
        {
            echo "<form id=\"w{$user["sex"]}\" action=\"?ticket_id={$ticket_id}\" method=\"POST\" class=\"block\">
            <div class=\"form-group field-text required ".($_SESSION["error"] ? "has-error" : false)."\">
            <label for=\"text\" class=\"control-label\">Написать</label>
            <textarea id=\"text\" class=\"form-control\" name=\"text\" rows=\"2\" aria-required=\"true\"></textarea>
            <div class=\"help-block\">".($_SESSION["error"] ? $_SESSION["error"] : false)."</div>
            </div>
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Отправить</button>
            </span>
            </span>
            </form>
            <div class=\"line\"></div>";
        }

        $max = 10;
        $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `_ticket_message` WHERE `ticket` = '{$ticket_id}'"));
        $pages = ceil($count[0] / $max);
        $page = trim($_GET["page"]);

        if($page > $pages) $page = $pages;
        if($page < 1) $page = 1;

        $start = $page * $max - $max;
        
        if($count[0] > 0){
            $query = mysql_query("SELECT * FROM `_ticket_message` WHERE `ticket` = '{$ticket_id}' ORDER BY `time` DESC LIMIT {$start}, {$max}");
            while($row = mysql_fetch_assoc($query))
            {
                if ( $row["support"] == 1 )
                {
                    echo "<div class=\"block\">
                    <img src=\"/images/icons/adminy.png\" width=\"16\" height=\"16\" alt=\"\"> <u class=\"color3\"><span>Поддержка</span></u> <span class=\"small color2\">".timeBack($row["time"])."</span>
                    <div>{$row["text"]}</div>
                    </div>";
                }
                else
                {
                    echo "<div class=\"block\">
                    ".nickName($row["user"], true, true, true)." <span class=\"small color2\">".timeBack($row["time"])."</span>
                    <div>{$row["text"]}</div>
                    </div>";
                }
            }
            echo "<div class=\"dotted\"></div>";
            ?>
                <ul class="pagination"><?=pages("?ticket_id={$ticket_id}&")?></ul>
                <div class="dotted"></div>
            <?
        }

        echo "<div class=\"menu\">
        <li><a href=\"?\"><img src=\"/images/icons/back.png\" width=\"16\" height=\"16\" alt=\"\"> Вернуться назад</a></li>
        </div>
        </div>";
    }

    echo "</div>";

    if ( isset($_SESSION["error"]) ) unset($_SESSION["error"]);

    include "../../system/f.php";