<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if ( $user == false )
    {
        header("Location: /");
        exit;
    }

    $title = "Работа";
    include "../../system/h.php";

    $arr = [
        1 => [
            "name" => "Канализация",
            "reward" => (195 * $user["level"]),
            ["experience", "exp"]
        ],
        2 => [
            "name" => "Шахта",
            "reward" => (42 * $user["level"]),
            ["silver", "s"]
        ],
        3 => [
            "name" => "Лесоповал",
            "reward" => (3 * $user["level"]),
            ["gold", "g"]
        ]
    ];

    $arrCostUpgrade = [
        "silver" => 462,
        "gold" => 12
    ];

    if ( isset($_POST) and !empty($_POST) )
    {
        $categoryId = isset($_GET["categoryId"]) && !empty($_GET["categoryId"]) ? intval($_GET["categoryId"]) : false;
        $job = mysql_fetch_assoc(mysql_query("SELECT `level` FROM `jobs` WHERE `user` = '{$user["id"]}' AND `job` = '{$categoryId}' AND `work` = '0'"));
        if ( $categoryId == true and $job == true and $job["work"] == 0 and $job["time"] < time() or $categoryId == true and $job == false )
        {
            $hour = isset($_POST["hourId"]) && !empty($_POST["hourId"]) ? intval($_POST["hourId"]) : false;
            if ( $hour == true and $hour >= 1 and $hour <= $job["level"] and $job == true and $job["work"] == 0 and $job["time"] < time() )
            {
                $time = (time() + (3600 * $hour));
                mysql_query("UPDATE `jobs` SET `hour` = '{$hour}', `work` = '1', `time` = '{$time}' WHERE `user` = '{$user["id"]}' AND `job` = '{$categoryId}'");
            }
            elseif ( $job == false and $hour == true and $hour == 1 )
            {
                $time = (time() + 3600);
                mysql_query("INSERT INTO `jobs` (`user`, `job`, `level`, `hour`, `work`, `time`) VALUES ('{$user["id"]}', '{$categoryId}', '1', '1', '1', '{$time}')");
            }
        }
    }

    if ( isset($_GET["upgradeJob"]) and !empty($_GET["upgradeJob"]) )
    {
        $up = intval($_GET["upgradeJob"]);
        $job = mysql_fetch_assoc(mysql_query("SELECT `level` FROM `jobs` WHERE `user` = '{$user["id"]}' AND `job` = '{$up}'"));
        if ( $up == true and $job["level"] < 12 or $up == true and $job == false )
        {
            $level = $job == false ? 1 : ($job["level"] + 1);
            $silver = ($arrCostUpgrade["silver"] * $level);
            $gold = ($arrCostUpgrade["gold"] * $level);
            if ( $user["s"] < $silver and $user["g"] < $gold )
            {
                $_SESSION["error"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($silver - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($gold - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                header("Location: ?");
                exit;
            }
            elseif ( $user["s"] < $silver or $user["g"] < $gold )
            {
                $_SESSION["error"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> ".($user["s"] < $silver ? "<img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($silver - $user["s"]) : "<img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($gold - $user["g"]))."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                header("Location: ?");
                exit;
            }

            mysql_query("UPDATE `users` SET `s` = `s` - '{$silver}', `g` = `g` - '{$gold}' WHERE `id` = '{$user["id"]}'");
            if ( $job == false )
                mysql_query("INSERT INTO `jobs` (`user`, `job`, `level`) VALUES ('{$user["id"]}', '{$up}', '2')");
            else
                mysql_query("UPDATE `jobs` SET `level` = `level` + '1' WHERE `user` = '{$user["id"]}' AND `job` = '{$up}'");

            header("Location: ?");
            exit;
        }
    }

    if ( isset($_GET["reward-give"]) and !empty($_GET["reward-give"]) )
    {
        $reward = intval($_GET["reward-give"]);
        $job = mysql_fetch_assoc(mysql_query("SELECT * FROM `jobs` WHERE `user` = '{$user["id"]}' AND `job` = '{$reward}'"));
        if ( $reward == true and $job == true )
        {
            $resources = $arr[$reward]["reward"];
            $resources *= $job["hour"];

            mysql_query("UPDATE `jobs` SET `hour` = '0', `work` = '0', `time` = '0' WHERE `user` = '{$user["id"]}' AND `job` = '{$reward}'");
            mysql_query("UPDATE `users` SET `{$arr[$reward][0][1]}` = `{$arr[$reward][0][1]}` + '{$resources}' WHERE `id` = '{$user["id"]}'");

            $_SESSION["alert"] = "<div class=\"alert\">
            <img src=\"/images/icons/reward.png\" width=\"16\" height=\"16\" alt=\"\"> <span class=\"blue\">Прибыль:</span>
            <div><img src=\"/images/icons/{$arr[$reward][0][0]}.png\" width=\"16\" height=\"16\" alt=\"\"> ".nFormat($resources)."</div>
            </div>
            <div class=\"alert_bottom\"></div>";
            header("Location: ?");
            exit;
        }
    }

    if ( isset($_SESSION["error"]) or isset($_SESSION["alert"]) )
    {
        echo (isset($_SESSION["error"]) ? $_SESSION["error"] : (isset($_SESSION["alert"]) ? $_SESSION["alert"] : false));
        unset($_SESSION["error"], $_SESSION["alert"]);
    }

    echo "<div class=\"content\">
    <div class=\"block center s125 color3\">
    Работа
    </div>
    <div class=\"line\"></div>";

    $i = 0;
    foreach ( $arr as $row )
    {$i++;
        $job = mysql_fetch_assoc(mysql_query("SELECT * FROM `jobs` WHERE `user` = '{$user["id"]}' AND `job` = '{$i}'"));
        if ( $job == true and $job["work"] == 1 )
            $row["reward"] *= $job["hour"];
        echo "<div class=\"block\">
        <img class=\"left mr8\" src=\"/images/job/{$i}.jpg\" width=\"150\" height=\"75\" alt=\"\">
        <div class=\"blue bold\">{$row["name"]}</div>
        <div>
        <img src=\"/images/icons/reward.png\" width=\"16\" height=\"16\" alt=\"\"> Доход: 
        <img src=\"/images/icons/{$row[0][0]}.png\" width=\"16\" height=\"16\" alt=\"\"> {$row["reward"]}
        </div>";
        if ( $job["work"] == 1 )
        {
            $time = time();
            if ( $time < $job["time"] )
            {
                echo "<div>
                <img src=\"/images/icons/date.png\" width=\"16\" height=\"16\" alt=\"\"> "._time($job["time"] - time())."
                </div>";
            }
            else
            {
                echo "<div>
                <span class=\"m3 btn_start middle\">
                <span class=\"btn_end\">
                <a class=\"btn\" href=\"?reward-give={$i}\">Забрать ништяк</a>
                </span>
                </span>
                </div>";
            }
        }
        if ( $job == false or $job["work"] == 0 )
        {
            echo "<div class=\"m3\"></div>
            <form id=\"w0\" action=\"?categoryId={$i}\" method=\"POST\">
            <div class=\"form-group field-hoursform-hourid required\">
            <select id=\"hoursform-hourid\" class=\"form-control\" name=\"hourId\" aria-required=\"true\" style=\"width:auto !important\">";
            if ( $job == false )
            {
                echo "<option value=\"1\">1 час(ов)</option>";
            }
            else
            {
                for ( $l = 1; $l <= $job["level"]; $l++ )
                    echo "<option value=\"{$l}\">{$l} час(ов)</option>";
            }
            echo "</select>
            <div class=\"help-block\"></div>
            </div>
            <div class=\"dotted\"></div>
            <div class=\"block center\">
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Начать работу</button>
            </span>
            </span>";
            if ( $job == false or $job["level"] < 12 )
            {
                $level = $job == false ? 1 : ($job["level"] + 1);
                echo "<div>
                <span class=\"m3 btn_start middle\">
                <span class=\"btn_end\">
                <a href=\"?upgradeJob={$i}\" class=\"btn\">Прокачать за <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".nFormat($arrCostUpgrade["silver"] * $level)." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".nFormat($arrCostUpgrade["gold"] * $level)."</a>
                </span>
                </span>
                </div>";
            }
            echo "</div>
            </form>";
        }
        echo "<div class=\"clear\"></div>
        </div>
        <div class=\"dotted\"></div>";
    }

    echo "</div>";

    include "../../system/f.php";