<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if($user == false){

        header("Location: /");
        exit;

    }

    $title = "Улучшения";
    include "../../system/h.php";

    $array = [
        "vit" => [
            "type" => "health",
            "name" => "Боевик",
            "desc" => [
                "Здоровье",
                "Повышение здоровья"
            ],
            "bonus" => 300000,
            "silver" => 210000, "gold" => 800
        ],
        "str" => [
            "type" => "damage",
            "name" => "Бык",
            "desc" => [
                "Сила",
                "Повышение силы"
            ],
            "bonus" => 300000,
            "silver" => 210000, "gold" => 800
        ],
        "def" => [
            "type" => "armor",
            "name" => "Скала",
            "desc" => [
                "Защита",
                "Повышение защиты"
            ],
            "bonus" => 300000,
            "silver" => 210000, "gold" => 800
        ],
        "mana" => [
            "type" => "currentEnergy",
            "name" => "Дюрасел",
            "desc" => [
                "Энергия", 
                "Повышение энергии"
            ],
            "bonus" => 2000,
            "silver" => 28000, "gold" => 200
        ]
    ];

    if(isset($_GET["category"]) and !empty($_GET["category"])){

        $category = trim($_GET["category"]);
        if($array[$category] == true){

            if($user["s"] < $array[$category]["silver"] and $user["g"] < $array[$category]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array[$category]["silver"] - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array[$category]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["s"] < $array[$category]["silver"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array[$category]["silver"] - $user["s"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["g"] < $array[$category]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array[$category]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }

            $buffs = mysql_fetch_assoc(mysql_query("SELECT `type` FROM `buffs` WHERE `user` = '{$user["id"]}' AND `type` = '{$category}'"));
            if($buffs["type"] != $category){

                mysql_query("INSERT INTO `buffs` (`user`, `type`, `bonus`, `time`) VALUES ('{$user["id"]}', '{$category}', '{$array[$category]["bonus"]}', '".(time() + 86400)."')");
                mysql_query("UPDATE `users` SET `{$category}` = `{$category}` + '{$array[$category]["bonus"]}', `s` = `s` - '{$array[$category]["silver"]}', `g` = `g` - '{$array[$category]["gold"]}' WHERE `id` = '{$user["id"]}'");

            }else{

                mysql_query("UPDATE `buffs` SET `time` = `time` + '86400' WHERE `user` = '{$user["id"]}' AND `type` = '{$category}'");
                mysql_query("UPDATE `users` SET `s` = `s` - '{$array[$category]["silver"]}', `g` = `g` - '{$array[$category]["gold"]}' WHERE `id` = '{$user["id"]}'");

            }

            header("Location: ?");
            exit;

        }

    }

    if (isset($_SESSION["errors"])) {

        echo $_SESSION["errors"];
        unset($_SESSION["errors"]);

    }

    echo "<div class=\"content\">
    <div class=\"block center s125 color3\">
    Улучшения
    </div>
    <div class=\"line\"></div>";

    foreach($array as $param => &$_array){

        $buff = mysql_fetch_assoc(mysql_query("SELECT `time` FROM `buffs` WHERE `user` = '{$user["id"]}' AND `type` = '{$param}'"));

        echo "<div class=\"block center\">
        <div class=\"blue\">{$_array["name"]}</div>
        <div>{$_array["desc"][1]}</div>
        ".($buff == true ? "
        <div>Активно + <img src=\"/images/icons/{$_array["type"]}.png\" width=\"16\" height=\"16\" alt=\"\"> ".nFormat($_array["bonus"])."</div>
        <div class=\"blue\">"._time($buff["time"] - time())."</div>
        " : "
        <div><img src=\"/images/icons/{$_array["type"]}.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["desc"][0]}: {$_array["bonus"]}</div>
        ")."
        </div>
        <div class=\"dotted\"></div>
        <div class=\"center block\">
        <span class=\"btn_start\">
        <span class=\"btn_end\">
        <a class=\"btn\" href=\"?category={$param}\">Арендовать за <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["silver"]} <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["gold"]}</a>
        </span>
        </span>
        </div>
        <div class=\"line\"></div>";

    }

    echo "<div class=\"line\"></div>
    <ul class=\"block small\">
    <li class=\"color2\">Все улучшения действуют 24 часа</li>
    <li class=\"color2\">При аренде уже активного улучшения, его время складывается</li>
    </ul>
    </div>";

    include "../../system/f.php";