<?php

include '../system/common.php';
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';

try {
    // Инициализация класса с id сайта и секретным ключом
    $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

    // Проверка обработчика (PING)
    if ($wapkassa->ping($_POST)) {
        // возврат успешной проверки
        echo $wapkassa->successPing();
    } else {
        // Парсинг входящих параметров
        $params = $wapkassa->parseRequest($_POST);

        $params['id']; // id платежа в системе wapkassa
        $params['site_id']; // id площадки
        $params['time']; // время оплаты в unixtime
        $params['comm']; // комментарий платежа
        $params['amount']; // сумма платежа
        $params['add']; // массив с допольнительными параметрами

        // собственный код зачисления платежа на сайте
        if ($params['add']['type'] == 'gold' && !empty($wk_cena_gold[$params['add']['count']]) && $wk_cena_gold[$params['add']['count']] <= $params['amount']) {
            $first_donate = mysql_fetch_assoc(mysql_query("SELECT `id` FROM `payments` WHERE `user` = '{$params["add"]["user_id"]}'"));
            if ($first_donate == false) $params['add']['count'] *= 2;
            mysql_query("UPDATE `users` SET `d` = `d` + '".($params['add']['count'])."', `g` = `g` + '".($params['add']['count'] * 0.4)."' WHERE `id` = '{$params['add']['user_id']}'");
            mysql_query("INSERT INTO `payments` (`user`, `amount`, `time`) VALUES ('{$params["add"]["user_id"]}', '{$params["amount"]}', '".time()."')");
            $battlepass = mysql_fetch_assoc(mysql_query("SELECT `pay` FROM `battlepass` WHERE `user` = '{$params["add"]["user_id"]}'"));
            if($battlepass == false) mysql_query("INSERT INTO `battlepass` (`user`, `pay`) VALUES ('{$params["add"]["user_id"]}', '{$params['amount']}')");
            else mysql_query("UPDATE `battlepass` SET `pay` = `pay` + '{$params['amount']}' WHERE `user` = '{$params["add"]["user_id"]}'");
            $referer = mysql_fetch_assoc(mysql_query("SELECT `user` FROM `ref` WHERE `ho` = '{$params["add"]["user_id"]}'"));
            if($referer) mysql_query("UPDATE `users` SET `d` = `d` + '".($params["add"]["count"] * 0.15)."' WHERE `id` = '{$referer["user"]}'");
        }
        if ($params["add"]["type"] == "complect-350"){
            for($i = 1; $i <= 8; $i++){
                $quality = mysql_fetch_assoc(mysql_query("SELECT `w_{$i}` FROM `complects` WHERE `id` = '25'"));
                $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id` = '{$quality["w_{$i}"]}'"));
                $shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id` = '{$item["id"]}'"));
                mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$params["add"]["user_id"]}', '{$item["id"]}', '7', '0', '1', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}')");
            }
        }
        if ($params["add"]["type"] == "complect-504"){
            for($i = 1; $i <= 8; $i++){
                $quality = mysql_fetch_assoc(mysql_query("SELECT `w_{$i}` FROM `complects` WHERE `id` = '26'"));
                $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id` = '{$quality["w_{$i}"]}'"));
                $shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id` = '{$item["id"]}'"));
                mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$params["add"]["user_id"]}', '{$item["id"]}', '11', '0', '1', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}')");
            }
        }
        if ($params["add"]["type"] == "complect-496"){
            for($i = 1; $i <= 8; $i++){
                $quality = mysql_fetch_assoc(mysql_query("SELECT `w_{$i}` FROM `complects` WHERE `id` = '27'"));
                $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id` = '{$quality["w_{$i}"]}'"));
                $shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id` = '{$item["id"]}'"));
                mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$params["add"]["user_id"]}', '{$item["id"]}', '11', '0', '1', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}')");
            }
        }
        if ($params["add"]["type"] == "complect-480"){
            for($i = 1; $i <= 8; $i++){
                $quality = mysql_fetch_assoc(mysql_query("SELECT `w_{$i}` FROM `complects` WHERE `id` = '28'"));
                $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id` = '{$quality["w_{$i}"]}'"));
                $shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id` = '{$item["id"]}'"));
                mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$params["add"]["user_id"]}', '{$item["id"]}', '11', '0', '1', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}')");
            }
        }
        // возврат успешной обработки
        echo $wapkassa->successPayment();
    }
} catch (Exception $e) {
    // вывод ошибки
    echo 'Ошибка: ' . $e->getMessage() . PHP_EOL;
}