-- phpMyAdmin SQL Dump
-- version 4.9.7
-- https://www.phpmyadmin.net/
--
-- Хост: 10.0.0.241:3306
-- Время создания: Фев 14 2022 г., 09:49
-- Версия сервера: 10.5.15-MariaDB-log
-- Версия PHP: 7.4.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `j23271815_testa`
--

-- --------------------------------------------------------

--
-- Структура таблицы `accessories`
--

CREATE TABLE `accessories` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `accessory` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `accessory`
--

CREATE TABLE `accessory` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `arena` int(11) NOT NULL,
  `basement` int(11) NOT NULL,
  `mark` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `arena`
--

CREATE TABLE `arena` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `cooldown` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `arena`
--

INSERT INTO `arena` (`id`, `user`, `cooldown`) VALUES
(1, 1, 1644835709);

-- --------------------------------------------------------

--
-- Структура таблицы `basement_battle`
--

CREATE TABLE `basement_battle` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `health` varchar(255) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `basement_clans`
--

CREATE TABLE `basement_clans` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `json_key` text NOT NULL,
  `json_limit` text NOT NULL,
  `json_medals` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `basement_member`
--

CREATE TABLE `basement_member` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `damage` varchar(255) DEFAULT '0',
  `won` int(1) NOT NULL,
  `boss` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `battlepass`
--

CREATE TABLE `battlepass` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `json` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `beads`
--

CREATE TABLE `beads` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `json` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '{"beads_1":{"buy":0,"bonus":0},"beads_2":{"buy":0,"bonus":0},"beads_3":{"buy":0,"bonus":0},"beads_4":{"buy":0,"bonus":0},"beads_5":{"buy":0,"bonus":0}}'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `buffs`
--

CREATE TABLE `buffs` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bonus` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `casino`
--

CREATE TABLE `casino` (
  `id` int(11) NOT NULL,
  `fond` int(11) DEFAULT 100,
  `last_win` int(11) NOT NULL,
  `fond_win` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `casino`
--

INSERT INTO `casino` (`id`, `fond`, `last_win`, `fond_win`) VALUES
(1, 7050, 370, 4550);

-- --------------------------------------------------------

--
-- Структура таблицы `casino_user`
--

CREATE TABLE `casino_user` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `json_user` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '{"progress":0,"chest[0]":0,"chest[1]":0,"chest[2]":0}',
  `json_chest` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '{"chest[0]":{"open":0,"silver":0,"gold":0,"donate":0},"chest[1]":{"open":0,"silver":0,"gold":0,"donate":0},"chest[2]":{"open":0,"silver":0,"gold":0,"donate":0}}'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `caste`
--

CREATE TABLE `caste` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `caste` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE `chat` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL DEFAULT 0,
  `to` int(11) NOT NULL DEFAULT 0,
  `text` text CHARACTER SET utf8mb4 DEFAULT NULL,
  `time` int(11) NOT NULL DEFAULT 0,
  `read` enum('0','1') NOT NULL DEFAULT '0',
  `clan` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `chest_user`
--

CREATE TABLE `chest_user` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `1` int(11) DEFAULT 0,
  `2` int(11) NOT NULL DEFAULT 0,
  `3` int(11) NOT NULL DEFAULT 0,
  `4` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `clans`
--

CREATE TABLE `clans` (
  `id` int(11) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL,
  `level` int(11) NOT NULL DEFAULT 1,
  `exp` bigint(255) NOT NULL DEFAULT 0,
  `g` int(11) NOT NULL DEFAULT 0,
  `s` int(11) NOT NULL DEFAULT 0,
  `built_1` int(11) NOT NULL DEFAULT 0,
  `built_2` int(11) NOT NULL DEFAULT 0,
  `built_3` int(11) NOT NULL DEFAULT 0,
  `built_4` int(11) NOT NULL DEFAULT 0,
  `built_5` int(11) NOT NULL DEFAULT 0,
  `limit` int(11) NOT NULL DEFAULT 10
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_forum`
--

CREATE TABLE `clan_forum` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `desc` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `access` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_forum_comments`
--

CREATE TABLE `clan_forum_comments` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `topic` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_forum_topic`
--

CREATE TABLE `clan_forum_topic` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `sub` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `close` int(11) NOT NULL,
  `fix` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_invite`
--

CREATE TABLE `clan_invite` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL DEFAULT 0,
  `user` int(11) NOT NULL DEFAULT 0,
  `logn` varchar(100) NOT NULL DEFAULT '0',
  `us` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_journal`
--

CREATE TABLE `clan_journal` (
  `id` int(11) NOT NULL,
  `cl_id` int(11) NOT NULL DEFAULT 0,
  `text` text CHARACTER SET utf8mb4 NOT NULL,
  `time` int(11) NOT NULL DEFAULT 0,
  `cl` int(11) NOT NULL DEFAULT 0,
  `login` varchar(100) CHARACTER SET utf8mb4 NOT NULL DEFAULT '0',
  `user` int(11) NOT NULL DEFAULT 0,
  `loginp` varchar(100) CHARACTER SET utf8mb4 NOT NULL DEFAULT '0',
  `userp` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_memb`
--

CREATE TABLE `clan_memb` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL DEFAULT 0,
  `user` int(11) NOT NULL DEFAULT 0,
  `rank` enum('0','1','2','3','4','5') DEFAULT NULL,
  `g` int(11) NOT NULL DEFAULT 0,
  `s` int(11) NOT NULL DEFAULT 0,
  `exp` int(11) NOT NULL DEFAULT 0,
  `time` int(11) NOT NULL DEFAULT 0,
  `last_update` int(11) NOT NULL DEFAULT 0,
  `expl` int(11) NOT NULL DEFAULT 0,
  `clan_msg_read` int(11) NOT NULL,
  `s_limit` int(11) DEFAULT 1000000,
  `g_limit` int(11) NOT NULL DEFAULT 100000
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_msg`
--

CREATE TABLE `clan_msg` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL DEFAULT 0,
  `user` int(11) NOT NULL DEFAULT 0,
  `text` text DEFAULT NULL,
  `time` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_quest`
--

CREATE TABLE `clan_quest` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `bos3` int(11) NOT NULL,
  `bos5` int(11) NOT NULL,
  `bos7` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `complects`
--

CREATE TABLE `complects` (
  `id` int(11) NOT NULL,
  `quality` int(11) NOT NULL DEFAULT 0,
  `name` varchar(100) DEFAULT NULL,
  `w_1` int(11) NOT NULL DEFAULT 0,
  `w_2` int(11) NOT NULL DEFAULT 0,
  `w_3` int(11) NOT NULL DEFAULT 0,
  `w_4` int(11) NOT NULL DEFAULT 0,
  `w_5` int(11) NOT NULL DEFAULT 0,
  `w_6` int(11) NOT NULL DEFAULT 0,
  `w_7` int(11) NOT NULL DEFAULT 0,
  `w_8` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `complects`
--

INSERT INTO `complects` (`id`, `quality`, `name`, `w_1`, `w_2`, `w_3`, `w_4`, `w_5`, `w_6`, `w_7`, `w_8`) VALUES
(1, 1, 'Комплект бродяги', 1, 2, 3, 4, 5, 220, 6, 7),
(2, 1, 'Комплект уборщика', 8, 9, 10, 11, 12, 221, 13, 14),
(3, 1, 'Комплект новичка', 15, 16, 17, 18, 19, 222, 20, 21),
(4, 2, 'Комплект сторожа', 22, 23, 24, 25, 26, 223, 27, 28),
(5, 2, 'Комплект живодёра', 29, 30, 31, 32, 33, 224, 34, 35),
(6, 3, 'Комплект разбойника', 36, 37, 38, 39, 40, 225, 41, 42),
(7, 3, 'Комплект скорняка', 43, 44, 45, 46, 47, 226, 48, 49),
(8, 4, 'Коплект конвойника', 50, 51, 52, 53, 54, 227, 55, 56),
(9, 4, 'Комплект братка', 57, 58, 59, 60, 61, 228, 62, 63),
(10, 5, 'Комплект бойца', 86, 87, 88, 89, 90, 229, 91, 92),
(11, 5, 'Комплект броневой', 93, 94, 95, 96, 97, 230, 98, 99),
(12, 6, 'Комплект блатного', 100, 101, 102, 103, 104, 231, 105, 106),
(13, 7, 'Комплект пахана', 107, 108, 109, 110, 111, 232, 112, 113),
(14, 7, 'Комплект убийцы', 341, 342, 343, 344, 345, 346, 347, 348),
(15, 8, 'Комплект боевика', 517, 518, 519, 520, 521, 522, 523, 524),
(16, 8, 'Комплект Перевёртыша', 525, 526, 527, 528, 529, 530, 531, 532),
(17, 8, 'Комплект авторитета', 533, 534, 535, 536, 537, 538, 539, 540),
(18, 10, 'Комплект всемогущего', 811, 812, 498, 807, 803, 808, 809, 310),
(19, 10, 'Комплект непробиваемого', 818, 819, 820, 821, 822, 823, 824, 825),
(20, 11, 'Комплект элитный', 829, 830, 831, 832, 833, 834, 835, 836),
(21, 12, 'Комплект защитный', 837, 838, 839, 840, 841, 842, 843, 844),
(22, 13, 'Комплект непобедимого', 845, 846, 847, 848, 849, 850, 851, 852),
(23, 14, 'Комплект безумный', 853, 854, 855, 856, 857, 858, 859, 860),
(24, 14, 'Комплект огненный', 861, 862, 863, 864, 865, 866, 867, 868),
(25, 7, 'Комплект шпаны', 325, 326, 327, 328, 329, 330, 324, 305),
(26, 11, 'Комплект крюгера', 504, 505, 506, 507, 508, 509, 510, 511),
(27, 11, 'Комплект чужого', 496, 497, 482, 499, 503, 500, 501, 502),
(28, 11, 'Комплект зомби', 480, 481, 470, 483, 484, 543, 486, 487),
(29, 11, 'Комплект надзирателя', 488, 489, 490, 491, 492, 493, 494, 495);

-- --------------------------------------------------------

--
-- Структура таблицы `contacts`
--

CREATE TABLE `contacts` (
  `user` int(11) NOT NULL DEFAULT 0,
  `ho` int(11) NOT NULL DEFAULT 0,
  `time` int(11) NOT NULL DEFAULT 0,
  `delete` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `daily_quest`
--

CREATE TABLE `daily_quest` (
  `start` int(11) DEFAULT 1623369600,
  `end` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `daily_quest`
--

INSERT INTO `daily_quest` (`start`, `end`) VALUES
(1644181200, 1644267600);

-- --------------------------------------------------------

--
-- Структура таблицы `daily_quest_user`
--

CREATE TABLE `daily_quest_user` (
  `id` int(11) NOT NULL,
  `user` int(11) DEFAULT NULL,
  `json` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `dice`
--

CREATE TABLE `dice` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL DEFAULT 0,
  `gold` int(11) NOT NULL DEFAULT 0,
  `s` int(11) NOT NULL DEFAULT 0,
  `d` int(11) NOT NULL DEFAULT 0,
  `c` int(11) NOT NULL DEFAULT 0,
  `ot` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `escape`
--

CREATE TABLE `escape` (
  `id` int(11) NOT NULL,
  `json` varchar(255) NOT NULL,
  `complexity` int(11) NOT NULL,
  `gold` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `escape`
--

INSERT INTO `escape` (`id`, `json`, `complexity`, `gold`) VALUES
(1, '{\"name\":\"Дядя Ваня\",\"level\":1,\"health\":50000,\"damage\":2000,\"armor\":1500,\"exp\":100,\"silver\":10}', 1, 5),
(2, '{\"name\":\"Топор\",\"level\":5,\"health\":125000,\"damage\":10000,\"armor\":5000,\"exp\":150,\"silver\":25}', 1, 10),
(3, '{\"name\":\"Копа\",\"level\":12,\"health\":250000,\"damage\":20000,\"armor\":10000,\"exp\":200,\"silver\":40}', 1, 15),
(4, '{\"name\":\"Монгол\",\"level\":15,\"health\":2500000,\"damage\":50000,\"armor\":40000,\"exp\":250,\"silver\":60}', 1, 20),
(5, '{\"name\":\"Абориген\",\"level\":25,\"health\":6250000,\"damage\":78000,\"armor\":54000,\"exp\":300,\"silver\":90}', 1, 25),
(6, '{\"name\":\"Константин\",\"level\":35,\"health\":13750000,\"damage\":120000,\"armor\":78000,\"exp\":350,\"silver\":150}', 1, 30),
(7, '{\"name\":\"Αнapхиcт\",\"level\":50,\"health\":25000000,\"damage\":170000,\"armor\":100000,\"exp\":1500,\"silver\":300}', 2, 90),
(8, '{\"name\":\"Червь\",\"level\":70,\"health\":50000000,\"damage\":200000,\"armor\":150000,\"exp\":3000,\"silver\":420}', 2, 100),
(9, '{\"name\":\"Бока\",\"level\":70,\"health\":100000000,\"damage\":300000,\"armor\":190000,\"exp\":4500,\"silver\":550}', 2, 110),
(10, '{\"name\":\"Бальтaзар\",\"level\":70,\"health\":250000000,\"damage\":340000,\"armor\":210000,\"exp\":6000,\"silver\":800}', 2, 120),
(11, '{\"name\":\"Адольф\",\"level\":70,\"health\":500000000,\"damage\":400000,\"armor\":270000,\"exp\":20000,\"silver\":12000}', 3, 360),
(12, '{\"name\":\"Вaлькиpия\",\"level\":72,\"health\":1000000000,\"damage\":420000,\"armor\":300000,\"exp\":40000,\"silver\":17000}', 3, 380),
(13, '{\"name\":\"Лектор\",\"level\":75,\"health\":2000000000,\"damage\":450000,\"armor\":340000,\"exp\":60000,\"silver\":24000}', 3, 400),
(14, '{\"name\":\"Пеpeвеpтыш\",\"level\":100,\"health\":6000000000,\"damage\":450000,\"armor\":340000,\"exp\":80000,\"silver\":30000}', 3, 420),
(15, '{\"name\":\"Квай\",\"level\":100,\"health\":7500000000,\"damage\":720000,\"armor\":520000,\"exp\":150000,\"silver\":35000}', 4, 1280),
(16, '{\"name\":\"Сохо\",\"level\":100,\"health\":8750000000,\"damage\":740000,\"armor\":520000,\"exp\":210000,\"silver\":41000}', 4, 1310),
(17, '{\"name\":\"Шайдер\",\"level\":100,\"health\":10250000000,\"damage\":760000,\"armor\":520000,\"exp\":270000,\"silver\":46000}', 4, 1340),
(18, '{\"name\":\"Κрестный\",\"level\":130,\"health\":14500000000,\"damage\":840000,\"armor\":580000,\"exp\":350000,\"silver\":50000}', 4, 1360),
(19, '{\"name\":\"Мага\",\"level\":150,\"health\":22500000000,\"damage\":1200000,\"armor\":880000,\"exp\":455000,\"silver\":55000}', 4, 1380),
(20, '{\"name\":\"Ирландец\",\"level\":170,\"health\":32500000000,\"damage\":1400000,\"armor\":1000000,\"exp\":600000,\"silver\":62000}', 4, 1400),
(21, '{\"name\":\"Шамиль\",\"level\":200,\"health\":45000000000,\"damage\":1700000,\"armor\":1200000,\"exp\":800000,\"silver\":68000}', 4, 1420),
(22, '{\"name\":\"Цербер\",\"level\":230,\"health\":65000000000,\"damage\":2000000,\"armor\":1500000,\"exp\":1200000,\"silver\":80000}', 4, 1500),
(23, '{\"name\":\"Амбал\",\"level\":250,\"health\":90000000000,\"damage\":2400000,\"armor\":1800000,\"exp\":1450000,\"silver\":95000}', 4, 1750),
(24, '{\"name\":\"Хирург\",\"level\":270,\"health\":117500000000,\"damage\":2800000,\"armor\":2100000,\"exp\":1700000,\"silver\":115000}', 4, 2000);

-- --------------------------------------------------------

--
-- Структура таблицы `escape_battle`
--

CREATE TABLE `escape_battle` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `health` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `battle` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `escape_users`
--

CREATE TABLE `escape_users` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `json_key` text NOT NULL,
  `json_limit` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `farm`
--

CREATE TABLE `farm` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL DEFAULT 0,
  `h` int(11) NOT NULL DEFAULT 0,
  `h2` int(11) NOT NULL DEFAULT 0,
  `h3` int(11) NOT NULL DEFAULT 0,
  `time` int(11) NOT NULL DEFAULT 0,
  `time2` int(11) NOT NULL DEFAULT 0,
  `time3` int(11) NOT NULL DEFAULT 0,
  `lvl` int(11) NOT NULL DEFAULT 1,
  `lvl2` int(11) NOT NULL DEFAULT 1,
  `lvl3` int(11) NOT NULL DEFAULT 1
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `farm_logs`
--

CREATE TABLE `farm_logs` (
  `id` int(11) NOT NULL,
  `user` int(11) DEFAULT 0,
  `h` int(11) DEFAULT 0,
  `h2` int(11) DEFAULT 0,
  `h3` int(11) DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `homes`
--

CREATE TABLE `homes` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `home` int(11) NOT NULL,
  `bonus` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `inv`
--

CREATE TABLE `inv` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL DEFAULT 0,
  `item` int(11) NOT NULL DEFAULT 0,
  `quality` int(11) NOT NULL DEFAULT 0,
  `bonus` int(11) NOT NULL DEFAULT 0,
  `smith` int(11) NOT NULL DEFAULT 0,
  `sm` int(11) NOT NULL DEFAULT 0,
  `equip` enum('0','1') NOT NULL DEFAULT '0',
  `new` enum('0','1') NOT NULL DEFAULT '0',
  `rune` int(11) NOT NULL DEFAULT 0,
  `run` int(11) NOT NULL DEFAULT 0,
  `_str` int(11) NOT NULL DEFAULT 0,
  `_vit` int(11) NOT NULL DEFAULT 0,
  `_def` int(11) NOT NULL DEFAULT 0,
  `place` enum('0','1') NOT NULL DEFAULT '0',
  `str_` int(11) NOT NULL DEFAULT 0,
  `vit_` int(11) NOT NULL DEFAULT 0,
  `def_` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `items`
--

CREATE TABLE `items` (
  `id` int(11) NOT NULL,
  `w` enum('1','2','3','4','5','6','7','8','9') NOT NULL DEFAULT '1',
  `name` varchar(100) DEFAULT NULL,
  `quality` int(11) NOT NULL DEFAULT 0,
  `lvl` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `items`
--

INSERT INTO `items` (`id`, `w`, `name`, `quality`, `lvl`) VALUES
(1, '1', 'Старая каска бродяги', 1, 1),
(2, '2', 'Старые очки бродяги', 1, 1),
(3, '3', 'Старый аксессуар бродяги', 1, 1),
(4, '4', 'Старая футболка бродяги', 1, 1),
(5, '5', 'Старый прут бродяги', 1, 1),
(220, '6', 'Старый щит бродяги', 1, 1),
(6, '7', 'Старые штаны бродяги', 1, 1),
(7, '8', 'Старые ботинки бродяги', 1, 1),
(8, '1', 'Старая кепка уборщика', 1, 1),
(9, '2', 'Старые очки уборщика', 1, 1),
(10, '3', 'Старый карта уборщика', 1, 1),
(11, '4', 'Старая рубаха уборщика', 1, 1),
(12, '5', 'Старый веник уборщика', 1, 1),
(221, '6', 'Старый совок уборщика', 1, 1),
(13, '7', 'Старые штаны уборщика', 1, 1),
(14, '8', 'Старые ботинки уборщика', 1, 1),
(15, '1', 'Старая кепка первохода', 1, 1),
(16, '2', 'Старые очки первохода', 1, 1),
(17, '3', 'Старый амулет первохода', 1, 1),
(18, '4', 'Старая рубаха первохода', 1, 1),
(19, '5', 'Старый ёршик первохода', 1, 1),
(222, '6', 'Старый щит первохода', 1, 1),
(20, '7', 'Старые штаны первохода', 1, 1),
(21, '8', 'Старые ботинки первохода', 1, 1),
(22, '1', 'Обычная кепка сторожа', 2, 15),
(23, '2', 'Обычные очки сторожа', 2, 15),
(24, '3', 'Обычный амулет сторожа', 2, 15),
(25, '4', 'Обычная рубаха сторожа', 2, 15),
(26, '5', 'Обычный фонарь сторожа', 2, 15),
(223, '6', 'Обычный щит сторожа', 2, 15),
(27, '7', 'Обычные штаны сторожа', 2, 15),
(28, '8', 'Обычные ботинки сторожа', 2, 15),
(29, '1', 'Обычный колпак живодёра', 2, 15),
(30, '2', 'Обычные очки живодёра', 2, 15),
(31, '3', 'Обычный стетоскоп живодёра', 2, 15),
(32, '4', 'Обычный халат живодёра', 2, 15),
(33, '5', 'Обычная капельница живодёра', 2, 15),
(224, '6', 'Обычная табуретка живодёра', 2, 15),
(34, '7', 'Обычные штаны живодёра', 2, 15),
(35, '8', 'Обычные мокасины живодёра', 2, 15),
(36, '1', 'Редкая бандана разбойника', 3, 30),
(37, '2', 'Редкая маска разбойника', 3, 30),
(38, '3', 'Редкая цепочка разбойника', 3, 30),
(39, '4', 'Редкая куртка разбойника', 3, 30),
(40, '5', 'Редкая бита разбойника', 3, 30),
(225, '6', 'Редкий нарукавник разбойника', 3, 30),
(41, '7', 'Редкие штаны разбойника', 3, 30),
(42, '8', 'Редкие туфли разбойника', 3, 30),
(43, '1', 'Редкая шапка скорняка', 3, 30),
(44, '2', 'Редкие очки скорняка', 3, 30),
(45, '3', 'Редкий амулет скорняка', 3, 30),
(46, '4', 'Редкая шуба скорняка', 3, 30),
(47, '5', 'Редкая ножовка скорняка', 3, 30),
(226, '6', 'Редкий нарукавник скорняка', 3, 30),
(48, '7', 'Редкие штаны скорняка', 3, 30),
(49, '8', 'Редкие ботинки скорняка', 3, 30),
(50, '1', 'Оч.редкий берет конвойника', 4, 45),
(51, '2', 'Оч.редкие очки конвойника', 4, 45),
(52, '3', 'Оч.редкий амулет конвойника', 4, 45),
(53, '4', 'Оч.редкий камуфляж конвойника', 4, 45),
(54, '5', 'Оч.редкий автомат конвойника', 4, 45),
(227, '6', 'Оч.редкий нарукавник конвойника', 4, 45),
(55, '7', 'Оч.редкие штаны конвойника', 4, 45),
(56, '8', 'Оч.редкие берцы конвойника', 4, 45),
(57, '1', 'Оч.редкая хулиганка братка', 4, 45),
(58, '2', 'Оч.редкие очки братка', 4, 45),
(59, '3', 'Оч.редкая цепь братка', 4, 45),
(60, '4', 'Оч.редкий пиджак братка', 4, 45),
(61, '5', 'Оч.редкая бита братка', 4, 45),
(228, '6', 'Оч.редкий кастет братка', 4, 45),
(62, '7', 'Оч.редкие штаны братка', 4, 45),
(63, '8', 'Оч.редкие туфли братка', 4, 45),
(86, '1', 'Великолепный шлем бойца', 5, 60),
(87, '2', 'Великолепная защита бойца', 5, 60),
(88, '3', 'Великолепный амулет бойца', 5, 60),
(89, '4', 'Великолепная майка бойца', 5, 60),
(90, '5', 'Великолепный брусок бойца', 5, 60),
(229, '6', 'Великолепная гантеля бойца', 5, 60),
(91, '7', 'Великолепные шорты бойца', 5, 60),
(92, '8', 'Великолепные самбовки бойца', 5, 60),
(93, '1', 'Великолепный шлем собровца', 5, 60),
(94, '2', 'Великолепные очки собровца', 5, 60),
(95, '3', 'Великолепный амулет собровца', 5, 60),
(96, '4', 'Великолепный жилет собровца', 5, 60),
(97, '5', 'Великолепная дубинка собровца', 5, 60),
(230, '6', 'Великолепный щит собровца', 5, 60),
(98, '7', 'Великолепные штаны собровца', 5, 60),
(99, '8', 'Великолепные берцы собровца', 5, 60),
(100, '1', 'Легендарная хулиганка блатного', 6, 70),
(101, '2', 'Легендарные очки блатного', 6, 70),
(102, '3', 'Легендарный амулет блатного', 6, 70),
(103, '4', 'Легендарная кожанка блатного', 6, 70),
(104, '5', 'Легендарный заквас блатного', 6, 70),
(231, '6', 'Легендарный нарукавник блатного', 6, 70),
(105, '7', 'Легендарные штаны блатного', 6, 70),
(106, '8', 'Легендарные ботинки блатного', 6, 70),
(107, '1', 'Божественный шлем пахана', 7, 100),
(108, '2', 'Божественные очки пахана', 7, 100),
(109, '3', 'Божественный амулет пахана', 7, 100),
(110, '4', 'Божественная броня пахана', 7, 100),
(111, '5', 'Божественный автомат пахана', 7, 100),
(232, '6', 'Божественный нарукавник пахана', 7, 100),
(112, '7', 'Божественные штаны пахана', 7, 100),
(113, '8', 'Божественные ботинки пахана', 7, 100),
(341, '1', 'Божественная маска убийцы', 7, 100),
(342, '2', 'Божественные очки убийцы', 7, 100),
(343, '3', 'Божественный амулет убийцы', 7, 100),
(344, '4', 'Божественная броня убийцы', 7, 100),
(345, '5', 'Божественный тесак убийцы', 7, 100),
(346, '6', 'Божественный нарукавник убийцы', 7, 100),
(347, '7', 'Божественные штаны убийцы', 7, 100),
(348, '8', 'Божественные ботинки убийцы', 7, 100),
(517, '1', 'Сверх-божественная маска Боевика', 8, 100),
(518, '2', 'Сверх-божественные очки Боевика', 8, 100),
(519, '3', 'Сверх-божественный амулет Боевика', 8, 100),
(520, '4', 'Сверх-божественный торс Боевика', 8, 100),
(521, '5', 'Сверх-божественное ружье Боевика', 8, 100),
(522, '6', 'Сверх-божественный нож Боевика', 8, 100),
(523, '7', 'Сверх-божественные штаны Боевика', 8, 100),
(524, '8', 'Сверх-божественные берцы Боевика', 8, 100),
(525, '1', 'Сверх-божественная маска Перевёртыша', 8, 100),
(526, '2', 'Сверх-божественные глаза Перевёртыша', 8, 100),
(527, '3', 'Сверх-божественный амулет Перевёртыша', 8, 100),
(528, '4', 'Сверх-божественный торс Перевёртыша', 8, 100),
(529, '5', 'Сверх-божественный топор Перевёртыша', 8, 100),
(530, '6', 'Сверх-божественный кол Перевёртыша', 8, 100),
(531, '7', 'Сверх-божественные штаны Перевёртыша', 8, 100),
(532, '8', 'Сверх-божественные лапы Перевёртыша', 8, 100),
(533, '1', 'Сверх-божественная кепка авторитета', 8, 100),
(534, '2', 'Сверх-божественные очки авторитета', 8, 100),
(535, '3', 'Сверх-божественная цепь авторитета', 8, 100),
(536, '4', 'Сверх-божественный пиджак авторитета', 8, 100),
(537, '5', 'Сверх-божественный костет авторитета', 8, 100),
(538, '6', 'Сверх-божественные чётки авторитета', 8, 100),
(539, '7', 'Сверх-божественные штаны авторитета', 8, 100),
(540, '8', 'Сверх-божественные ботинки авторитета', 8, 100),
(306, '1', 'Эксклюзивные шлем', 9, 70),
(281, '2', 'Эксклюзивные очки ', 9, 70),
(277, '3', 'Эксклюзивный амулет ', 9, 70),
(300, '4', 'Эксклюзивная броня ', 9, 70),
(307, '5', 'Эксклюзивный топор', 9, 70),
(308, '6', 'Эксклюзивный щит ', 9, 70),
(301, '7', 'Эксклюзивные штаны ', 9, 70),
(282, '8', 'Эксклюзивные ботинки ', 9, 70),
(811, '1', 'Эпическая маска', 10, 125),
(812, '2', 'Эпические очки', 10, 125),
(813, '3', 'Эксклюзивный амулет', 9, 70),
(814, '4', 'Эксклюзивная броня', 9, 70),
(442, '5', 'Эксклюзивная бита', 9, 70),
(815, '6', 'Эксклюзивный щит', 9, 70),
(816, '7', 'Эксклюзивные штаны', 9, 70),
(817, '8', 'Эксклюзивные ботинки', 9, 70),
(335, '1', 'Эксклюзивный шлем', 9, 70),
(512, '2', 'Эксклюзивные очки', 9, 70),
(855, '3', 'Безумная цепь', 14, 250),
(311, '4', 'Эксклюзивная броня', 9, 70),
(331, '5', 'Эксклюзивный факел', 9, 70),
(452, '6', 'Эксклюзивное копьё', 9, 70),
(478, '7', 'Эксклюзивные штаны', 9, 70),
(340, '8', 'Эксклюзивные ботинки', 9, 70),
(498, '3', 'Эпический амулет', 10, 125),
(807, '4', 'Эпическая броня', 10, 125),
(803, '5', 'Эпический меч', 10, 125),
(808, '6', 'Эпический щит', 10, 125),
(809, '7', 'Эпические штаны', 10, 125),
(310, '8', 'Эпические ботинки', 10, 125),
(818, '1', 'Эпическая шляпа', 10, 125),
(819, '2', 'Эпические очки', 10, 125),
(820, '3', 'Эпическая цепь', 10, 125),
(821, '4', 'Эпический пиджак', 10, 125),
(822, '5', 'Эпическая цепь-колючка', 10, 125),
(823, '6', 'Эпическое оружие', 10, 125),
(824, '7', 'Эпические штаны', 10, 125),
(825, '8', 'Эпические ботинки', 10, 125),
(829, '1', 'Кожаная хулиганка', 11, 150),
(830, '2', 'Черные очки', 11, 150),
(831, '3', 'Золотой крест', 11, 150),
(832, '4', 'Черная водолазка', 11, 150),
(833, '5', 'Золотой нож', 11, 150),
(834, '6', 'Золотой нож', 11, 150),
(835, '7', 'Черные штаны', 11, 150),
(836, '8', 'Черные туфли', 11, 150),
(837, '1', 'Брон. шлем', 12, 200),
(838, '2', 'Брон. очки', 12, 200),
(839, '3', 'Жетон', 12, 200),
(840, '4', 'Брон. жилет', 12, 200),
(841, '5', 'Автомат', 12, 200),
(842, '6', 'Нож', 12, 200),
(843, '7', 'Брон. штаны', 12, 200),
(844, '8', 'Берцы', 12, 200),
(845, '1', 'Шляпа мафиозника', 13, 230),
(846, '2', 'Очки мафиозника', 13, 230),
(847, '3', 'Цепь мафиозника', 13, 230),
(848, '4', 'Пиджак мафиозника', 13, 230),
(849, '5', 'Тесак', 13, 230),
(850, '6', 'Тесак 2', 13, 230),
(851, '7', 'Штаны мафиозника', 13, 230),
(852, '8', 'Ботинки мафиозника', 13, 230),
(853, '1', 'Безумный шлем', 14, 250),
(854, '2', 'Безумные очки', 14, 250),
(856, '4', 'Безумная бронь', 14, 250),
(857, '5', 'Базука', 14, 250),
(858, '6', 'Кастет', 14, 250),
(859, '7', 'Безумные штаны', 14, 250),
(860, '8', 'Безумные ботинки', 14, 250),
(861, '1', 'Огненная маска', 14, 250),
(862, '2', 'Огненные глаза', 14, 250),
(863, '3', 'Огненная цепь', 14, 250),
(864, '4', 'Огненная куртка', 14, 250),
(865, '5', 'Огненный дробовик', 14, 250),
(866, '6', 'Огненная цепь-оружие', 14, 250),
(867, '7', 'Огненные штаны', 14, 250),
(868, '8', 'Огненные ботинки', 14, 250),
(325, '1', 'Божественная маска шпаны', 7, 100),
(326, '2', 'Божественные очки шпаны', 7, 100),
(327, '3', 'Божественный амулет шпаны', 7, 100),
(328, '4', 'Божественная ветровка шпаны', 7, 100),
(329, '5', 'Божественный нож шпаны', 7, 100),
(330, '6', 'Божественный щит шпаны', 7, 100),
(324, '7', 'Божественные штаны шпаны', 7, 100),
(305, '8', 'Божественные ботинки шпаны', 7, 100),
(504, '1', 'Шляпа крюгера', 11, 150),
(505, '2', 'Очки крюгера', 11, 150),
(506, '3', 'Амулет крюгера', 11, 150),
(507, '4', 'Свитер крюгера', 11, 150),
(508, '5', 'Рука крюгера', 11, 150),
(509, '6', 'Лом крюгера', 11, 150),
(510, '7', 'Штаны крюгера', 11, 150),
(511, '8', 'Сапоги крюгера', 11, 150),
(496, '1', 'Лицехват', 11, 150),
(497, '2', 'Маска чужого', 11, 150),
(482, '3', 'Талисман чужого', 11, 150),
(499, '4', 'Часть экзоскелета', 11, 150),
(500, '6', 'Крюк чужого', 11, 150),
(503, '5', 'Крюк чужого', 11, 150),
(501, '7', 'Часть экзоскелета', 11, 150),
(502, '8', 'Часть экзоскелета', 11, 150),
(480, '1', 'Маска зомби', 11, 150),
(481, '2', 'Глаза зомби', 11, 150),
(470, '3', 'Отрубленный палец', 11, 150),
(483, '4', 'Торс зомби', 11, 150),
(484, '5', 'Бензопила', 11, 150),
(543, '6', 'Лом', 11, 150),
(486, '7', 'Штаны зомби', 11, 150),
(487, '8', 'Ботинки зомби', 11, 150),
(869, '5', 'Вышибала', 14, 100),
(488, '1', 'Фуражка надзирателя', 11, 150),
(489, '2', 'Очки надзирателя', 11, 150),
(490, '3', 'Свисток надзирателя', 11, 150),
(491, '4', 'Костюм надзирателя', 11, 150),
(492, '5', 'Электрошокер надзирателя', 11, 150),
(493, '6', 'Дубинка надзирателя', 11, 150),
(494, '7', 'Штаны надзирателя', 11, 150),
(495, '8', 'Ботинки надзирателя', 11, 150);

-- --------------------------------------------------------

--
-- Структура таблицы `jailbreak`
--

CREATE TABLE `jailbreak` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `health` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `boss_health` bigint(255) NOT NULL,
  `json_reward` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `jailbreak_users`
--

CREATE TABLE `jailbreak_users` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `km` int(11) NOT NULL,
  `cooldown` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `journal`
--

CREATE TABLE `journal` (
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` varchar(255) NOT NULL,
  `from` int(11) NOT NULL DEFAULT 0,
  `read` int(11) DEFAULT NULL,
  `us` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `manager`
--

CREATE TABLE `manager` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `json` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `manager_battle`
--

CREATE TABLE `manager_battle` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `health` int(11) NOT NULL,
  `manager` int(11) NOT NULL,
  `manager_health` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `marriage`
--

CREATE TABLE `marriage` (
  `id` int(11) NOT NULL,
  `man` int(11) NOT NULL,
  `woman` int(11) NOT NULL,
  `ring` int(11) NOT NULL,
  `bonus` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `marriage` int(11) NOT NULL,
  `text` varchar(2000) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `payments`
--

CREATE TABLE `payments` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `pets`
--

CREATE TABLE `pets` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `bonus` int(11) NOT NULL,
  `ability` varchar(255) NOT NULL,
  `silver` int(11) NOT NULL,
  `gold` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `pets`
--

INSERT INTO `pets` (`id`, `name`, `bonus`, `ability`, `silver`, `gold`) VALUES
(1, 'Жаба', 500, 'Имеет способность отзеркалить удар', 180000, 1000),
(2, 'Летучая мышь', 500, 'Имеет способность уворота', 180000, 1000),
(3, 'Собака', 500, 'Имеет способность крит. удара', 180000, 1000),
(4, 'Волк', 2000000, 'Имеет способность высасывания здоровья', 0, 200000);

-- --------------------------------------------------------

--
-- Структура таблицы `pets_users`
--

CREATE TABLE `pets_users` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `pet` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `str` varchar(255) NOT NULL,
  `vit` varchar(255) NOT NULL,
  `def` varchar(255) NOT NULL,
  `hp` varchar(255) NOT NULL,
  `regen` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT 1,
  `exp` int(11) NOT NULL,
  `json_train` text NOT NULL,
  `ability` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `present`
--

CREATE TABLE `present` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  `text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gift` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `private` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `ref`
--

CREATE TABLE `ref` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL DEFAULT 0,
  `ho` int(11) NOT NULL DEFAULT 0,
  `uri` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `reset_password`
--

CREATE TABLE `reset_password` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `recovery_hash` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `shop`
--

CREATE TABLE `shop` (
  `id` int(11) NOT NULL,
  `quality` int(11) NOT NULL DEFAULT 0,
  `_str` int(11) NOT NULL DEFAULT 0,
  `_vit` int(11) NOT NULL DEFAULT 0,
  `_def` int(11) NOT NULL DEFAULT 0,
  `silver` int(11) NOT NULL,
  `gold` int(11) NOT NULL,
  `donate` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `shop`
--

INSERT INTO `shop` (`id`, `quality`, `_str`, `_vit`, `_def`, `silver`, `gold`, `donate`) VALUES
(1, 1, 800, 800, 800, 2400, 1, 0),
(2, 1, 800, 800, 800, 2400, 1, 0),
(3, 1, 800, 800, 800, 2400, 1, 0),
(4, 1, 800, 800, 800, 2400, 1, 0),
(5, 1, 800, 800, 800, 2400, 1, 0),
(220, 1, 800, 800, 800, 2400, 1, 0),
(6, 1, 800, 800, 800, 2400, 1, 0),
(7, 1, 800, 800, 800, 2400, 1, 0),
(8, 1, 800, 800, 800, 2400, 1, 0),
(9, 1, 800, 800, 800, 2400, 1, 0),
(10, 1, 800, 800, 800, 2400, 1, 0),
(11, 1, 800, 800, 800, 2400, 1, 0),
(12, 1, 800, 800, 800, 2400, 1, 0),
(221, 1, 800, 800, 800, 2400, 1, 0),
(13, 1, 800, 800, 800, 2400, 1, 0),
(14, 1, 800, 800, 800, 2400, 1, 0),
(15, 1, 800, 800, 800, 2400, 1, 0),
(16, 1, 800, 800, 800, 2400, 1, 0),
(17, 1, 800, 800, 800, 2400, 1, 0),
(18, 1, 800, 800, 800, 2400, 1, 0),
(19, 1, 800, 800, 800, 2400, 1, 0),
(222, 1, 800, 800, 800, 2400, 1, 0),
(20, 1, 800, 800, 800, 2400, 1, 0),
(21, 1, 800, 800, 800, 2400, 1, 0),
(22, 2, 3300, 3300, 3300, 9900, 10, 300),
(23, 2, 3300, 3300, 3300, 9900, 10, 300),
(24, 2, 3300, 3300, 3300, 9900, 10, 300),
(25, 2, 3300, 3300, 3300, 9900, 10, 300),
(26, 2, 3300, 3300, 3300, 9900, 10, 300),
(223, 2, 3300, 3300, 3300, 9900, 10, 300),
(27, 2, 3300, 3300, 3300, 9900, 10, 300),
(28, 2, 3300, 3300, 3300, 9900, 10, 300),
(29, 2, 3300, 3300, 3300, 9900, 10, 300),
(30, 2, 3300, 3300, 3300, 9900, 10, 300),
(31, 2, 3300, 3300, 3300, 9900, 10, 300),
(32, 2, 3300, 3300, 3300, 9900, 10, 300),
(33, 2, 3300, 3300, 3300, 9900, 10, 300),
(224, 2, 3300, 3300, 3300, 9900, 10, 300),
(34, 2, 3300, 3300, 3300, 9900, 10, 300),
(35, 2, 3300, 3300, 3300, 9900, 10, 300),
(36, 3, 10800, 10800, 10800, 32400, 80, 0),
(37, 3, 10800, 10800, 10800, 32400, 80, 0),
(38, 3, 10800, 10800, 10800, 32400, 80, 0),
(39, 3, 10800, 10800, 10800, 32400, 80, 0),
(40, 3, 10800, 10800, 10800, 32400, 80, 0),
(225, 3, 10800, 10800, 10800, 32400, 80, 0),
(41, 3, 10800, 10800, 10800, 32400, 80, 0),
(42, 3, 10800, 10800, 10800, 32400, 80, 0),
(43, 3, 10800, 10800, 10800, 32400, 80, 0),
(44, 3, 10800, 10800, 10800, 32400, 80, 0),
(45, 3, 10800, 10800, 10800, 32400, 80, 0),
(46, 3, 10800, 10800, 10800, 32400, 80, 0),
(47, 3, 10800, 10800, 10800, 32400, 80, 0),
(226, 3, 10800, 10800, 10800, 32400, 80, 0),
(48, 3, 10800, 10800, 10800, 32400, 80, 0),
(49, 3, 10800, 10800, 10800, 32400, 80, 0),
(50, 4, 23000, 23000, 23000, 69000, 560, 0),
(51, 4, 23000, 23000, 23000, 69000, 560, 0),
(52, 4, 23000, 23000, 23000, 69000, 560, 0),
(53, 4, 23000, 23000, 23000, 69000, 560, 0),
(54, 4, 23000, 23000, 23000, 69000, 560, 0),
(227, 4, 23000, 23000, 23000, 69000, 560, 0),
(55, 4, 23000, 23000, 23000, 69000, 560, 0),
(56, 4, 23000, 23000, 23000, 69000, 560, 0),
(57, 4, 23000, 23000, 23000, 69000, 560, 0),
(58, 4, 23000, 23000, 23000, 69000, 560, 0),
(59, 4, 23000, 23000, 23000, 69000, 560, 0),
(60, 4, 23000, 23000, 23000, 69000, 560, 0),
(61, 4, 23000, 23000, 23000, 69000, 560, 0),
(228, 4, 23000, 23000, 23000, 69000, 560, 0),
(62, 4, 23000, 23000, 23000, 69000, 560, 0),
(63, 4, 23000, 23000, 23000, 69000, 560, 0),
(86, 5, 29600, 29600, 29600, 88800, 1700, 0),
(87, 5, 29600, 29600, 29600, 88800, 1700, 0),
(88, 5, 29600, 29600, 29600, 88800, 1700, 0),
(89, 5, 29600, 29600, 29600, 88800, 1700, 0),
(90, 5, 29600, 29600, 29600, 88800, 1700, 0),
(229, 5, 29600, 29600, 29600, 88800, 1700, 0),
(91, 5, 29600, 29600, 29600, 88800, 1700, 0),
(92, 5, 29600, 29600, 29600, 88800, 1700, 0),
(93, 5, 29600, 29600, 29600, 88800, 1700, 0),
(94, 5, 29600, 29600, 29600, 88800, 1700, 0),
(95, 5, 29600, 29600, 29600, 88800, 1700, 0),
(96, 5, 29600, 29600, 29600, 88800, 1700, 0),
(97, 5, 29600, 29600, 29600, 88800, 1700, 0),
(230, 5, 29600, 29600, 29600, 88800, 1700, 0),
(98, 5, 29600, 29600, 29600, 88800, 1700, 0),
(99, 5, 29600, 29600, 29600, 88800, 1700, 0),
(100, 6, 37400, 37400, 37400, 112200, 8900, 750),
(101, 6, 37400, 37400, 37400, 112200, 8900, 750),
(102, 6, 37400, 37400, 37400, 112200, 8900, 750),
(103, 6, 37400, 37400, 37400, 112200, 8900, 750),
(104, 6, 37400, 37400, 37400, 112200, 8900, 750),
(231, 6, 37400, 37400, 37400, 112200, 8900, 750),
(105, 6, 37400, 37400, 37400, 112200, 8900, 750),
(106, 6, 37400, 37400, 37400, 112200, 8900, 750),
(107, 7, 45600, 45600, 45600, 136800, 15000, 0),
(108, 7, 45600, 45600, 45600, 136800, 15000, 0),
(109, 7, 45600, 45600, 45600, 136800, 15000, 0),
(110, 7, 45600, 45600, 45600, 136800, 15000, 0),
(111, 7, 45600, 45600, 45600, 136800, 15000, 0),
(232, 7, 45600, 45600, 45600, 136800, 15000, 0),
(112, 7, 45600, 45600, 45600, 136800, 15000, 0),
(113, 7, 45600, 45600, 45600, 136800, 15000, 0),
(341, 7, 45600, 45600, 45600, 136800, 15000, 0),
(342, 7, 45600, 45600, 45600, 136800, 15000, 0),
(343, 7, 45600, 45600, 45600, 136800, 15000, 0),
(344, 7, 45600, 45600, 45600, 136800, 15000, 0),
(345, 7, 45600, 45600, 45600, 136800, 15000, 0),
(346, 7, 45600, 45600, 45600, 136800, 15000, 0),
(347, 7, 45600, 45600, 45600, 136800, 15000, 0),
(348, 7, 45600, 45600, 45600, 136800, 15000, 0),
(517, 8, 62000, 62000, 62000, 186000, 16500, 0),
(518, 8, 62000, 62000, 62000, 186000, 16500, 0),
(519, 8, 62000, 62000, 62000, 186000, 16500, 0),
(520, 8, 62000, 62000, 62000, 186000, 16500, 0),
(521, 8, 62000, 62000, 62000, 186000, 16500, 0),
(522, 8, 62000, 62000, 62000, 186000, 16500, 0),
(523, 8, 62000, 62000, 62000, 186000, 16500, 0),
(524, 8, 62000, 62000, 62000, 186000, 16500, 0),
(525, 8, 62000, 62000, 62000, 186000, 16500, 0),
(526, 8, 62000, 62000, 62000, 186000, 16500, 0),
(527, 8, 62000, 62000, 62000, 186000, 16500, 0),
(528, 8, 62000, 62000, 62000, 186000, 16500, 0),
(529, 8, 62000, 62000, 62000, 186000, 16500, 0),
(530, 8, 62000, 62000, 62000, 186000, 16500, 0),
(531, 8, 62000, 62000, 62000, 186000, 16500, 0),
(532, 8, 62000, 62000, 62000, 186000, 16500, 0),
(533, 8, 62000, 62000, 62000, 186000, 16500, 0),
(534, 8, 62000, 62000, 62000, 186000, 16500, 0),
(535, 8, 62000, 62000, 62000, 186000, 16500, 0),
(536, 8, 62000, 62000, 62000, 186000, 16500, 0),
(537, 8, 62000, 62000, 62000, 186000, 16500, 0),
(538, 8, 62000, 62000, 62000, 186000, 16500, 0),
(539, 8, 62000, 62000, 62000, 186000, 16500, 0),
(540, 8, 62000, 62000, 62000, 186000, 16500, 0),
(811, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(812, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(498, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(807, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(803, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(808, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(809, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(310, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(818, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(819, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(820, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(821, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(822, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(823, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(824, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(825, 10, 85000, 85000, 85000, 255000, 18000, 1500),
(829, 11, 114000, 114000, 114000, 342000, 21000, 0),
(830, 11, 114000, 114000, 114000, 342000, 21000, 0),
(831, 11, 114000, 114000, 114000, 342000, 21000, 0),
(832, 11, 114000, 114000, 114000, 342000, 21000, 0),
(833, 11, 114000, 114000, 114000, 342000, 21000, 0),
(834, 11, 114000, 114000, 114000, 342000, 21000, 0),
(835, 11, 114000, 114000, 114000, 342000, 21000, 0),
(836, 11, 114000, 114000, 114000, 342000, 21000, 0),
(837, 12, 150000, 150000, 150000, 450000, 28000, 0),
(838, 12, 150000, 150000, 150000, 450000, 28000, 0),
(839, 12, 150000, 150000, 150000, 450000, 28000, 0),
(840, 12, 150000, 150000, 150000, 450000, 28000, 0),
(841, 12, 150000, 150000, 150000, 450000, 28000, 0),
(842, 12, 150000, 150000, 150000, 450000, 28000, 0),
(843, 12, 150000, 150000, 150000, 450000, 28000, 0),
(844, 12, 150000, 150000, 150000, 450000, 28000, 0),
(845, 13, 190000, 190000, 190000, 570000, 35000, 0),
(846, 13, 190000, 190000, 190000, 570000, 35000, 0),
(847, 13, 190000, 190000, 190000, 570000, 35000, 0),
(848, 13, 190000, 190000, 190000, 570000, 35000, 0),
(849, 13, 190000, 190000, 190000, 570000, 35000, 0),
(850, 13, 190000, 190000, 190000, 570000, 35000, 0),
(851, 13, 190000, 190000, 190000, 570000, 35000, 0),
(852, 13, 190000, 190000, 190000, 570000, 35000, 0),
(853, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(854, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(855, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(856, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(857, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(858, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(859, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(860, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(861, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(862, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(863, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(864, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(865, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(866, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(867, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(868, 14, 280000, 280000, 280000, 840000, 50000, 4000),
(325, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(326, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(327, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(328, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(329, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(330, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(324, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(305, 7, 880000, 880000, 880000, 1260000, 80000, 0),
(504, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(505, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(506, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(507, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(508, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(509, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(510, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(511, 11, 1000000, 1000000, 1000000, 1890000, 105000, 0),
(496, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(497, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(482, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(499, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(500, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(503, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(501, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(502, 11, 1200000, 1200000, 1200000, 2835000, 157500, 0),
(480, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(481, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(470, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(483, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(484, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(543, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(486, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(487, 11, 1500000, 1500000, 1500000, 4965000, 275630, 0),
(869, 14, 2100000, 2100000, 2100000, 9930000, 551260, 0),
(488, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(489, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(490, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(491, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(492, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(493, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(494, 11, 720000, 720000, 720000, 1260000, 80000, 0),
(495, 11, 720000, 720000, 720000, 1260000, 80000, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `snow`
--

CREATE TABLE `snow` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `snow` int(11) NOT NULL,
  `chest` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `stocks`
--

CREATE TABLE `stocks` (
  `id` int(11) NOT NULL,
  `number` int(11) NOT NULL,
  `percent` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `undying`
--

CREATE TABLE `undying` (
  `id` int(11) NOT NULL,
  `time` int(11) NOT NULL DEFAULT 0,
  `end` enum('0','1') NOT NULL DEFAULT '0',
  `start` enum('0','1') NOT NULL DEFAULT '0',
  `opponents` int(11) NOT NULL DEFAULT 0,
  `hp_max` int(11) NOT NULL DEFAULT 0,
  `lvl` int(11) NOT NULL DEFAULT 0,
  `hp1` int(11) NOT NULL DEFAULT 0,
  `hp_max1` int(11) NOT NULL DEFAULT 0,
  `hp2` int(11) NOT NULL DEFAULT 0,
  `hp_max2` int(11) NOT NULL DEFAULT 0,
  `hp3` int(11) NOT NULL DEFAULT 0,
  `hp_max3` int(11) NOT NULL DEFAULT 0,
  `hp4` int(11) NOT NULL DEFAULT 0,
  `hp_max4` int(11) NOT NULL DEFAULT 0,
  `hp5` int(11) NOT NULL DEFAULT 0,
  `hp_max5` int(11) NOT NULL DEFAULT 0,
  `hp6` int(11) NOT NULL DEFAULT 0,
  `hp_max6` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `undying_member`
--

CREATE TABLE `undying_member` (
  `id` int(11) NOT NULL,
  `battle` int(11) NOT NULL DEFAULT 0,
  `user` int(11) NOT NULL DEFAULT 0,
  `dead` enum('0','1') NOT NULL DEFAULT '0',
  `exit` enum('0','1') NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL DEFAULT 0,
  `kills` int(11) NOT NULL DEFAULT 0,
  `dmg` int(11) NOT NULL DEFAULT 0,
  `timer` int(11) NOT NULL DEFAULT 0,
  `lvl` int(11) NOT NULL DEFAULT 0,
  `s` int(11) NOT NULL DEFAULT 0,
  `exp` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `login` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL,
  `password` varchar(100) DEFAULT NULL,
  `sex` enum('0','1') NOT NULL DEFAULT '0',
  `online` int(11) NOT NULL DEFAULT 0,
  `last_update` int(11) NOT NULL DEFAULT 0,
  `access` enum('0','1','2','3','4') NOT NULL DEFAULT '0',
  `r` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `level` int(11) NOT NULL DEFAULT 1,
  `hp` int(11) NOT NULL DEFAULT 0,
  `mp` int(11) NOT NULL DEFAULT 0,
  `exp` bigint(255) NOT NULL DEFAULT 0,
  `exepy` bigint(255) NOT NULL DEFAULT 0,
  `g` int(11) NOT NULL DEFAULT 0,
  `s` int(11) NOT NULL DEFAULT 0,
  `d` int(11) DEFAULT 0,
  `p` int(11) NOT NULL,
  `c` int(11) NOT NULL DEFAULT 0,
  `skill` int(11) NOT NULL DEFAULT 0,
  `str` int(11) NOT NULL DEFAULT 1000,
  `_str` int(11) NOT NULL DEFAULT 0,
  `vit` int(11) NOT NULL DEFAULT 1000,
  `_vit` int(11) NOT NULL DEFAULT 0,
  `agi` int(11) NOT NULL DEFAULT 10,
  `_agi` int(11) NOT NULL DEFAULT 0,
  `def` int(11) NOT NULL DEFAULT 1000,
  `_def` int(11) NOT NULL DEFAULT 0,
  `mana` int(11) NOT NULL DEFAULT 800,
  `_mana` int(11) NOT NULL DEFAULT 0,
  `w_1` int(11) NOT NULL DEFAULT 0,
  `w_2` int(11) NOT NULL DEFAULT 0,
  `w_3` int(11) NOT NULL DEFAULT 0,
  `w_4` int(11) NOT NULL DEFAULT 0,
  `w_5` int(11) NOT NULL DEFAULT 0,
  `w_6` int(11) NOT NULL DEFAULT 0,
  `w_7` int(11) NOT NULL DEFAULT 0,
  `w_8` int(11) NOT NULL DEFAULT 0,
  `save` enum('0','1') NOT NULL DEFAULT '0',
  `ip` text DEFAULT NULL,
  `ua` text DEFAULT NULL,
  `self` text DEFAULT NULL,
  `bg` enum('0','1','2','3','4') NOT NULL DEFAULT '0',
  `chest` enum('0','1') NOT NULL DEFAULT '0',
  `arena_time` int(11) NOT NULL DEFAULT 0,
  `mail_closed` int(11) DEFAULT NULL,
  `hod` int(11) DEFAULT NULL,
  `hoda` int(11) DEFAULT NULL,
  `metal` int(11) NOT NULL,
  `time_craft` int(11) NOT NULL,
  `object_craft` int(11) NOT NULL,
  `title` text DEFAULT NULL,
  `vor` int(11) NOT NULL DEFAULT 0,
  `email` varchar(100) NOT NULL DEFAULT '0',
  `lea` int(11) NOT NULL DEFAULT 0,
  `ava` text DEFAULT NULL,
  `news_read` int(11) DEFAULT 0,
  `lvl_new` enum('0','1','2','') NOT NULL DEFAULT '0',
  `am_o` enum('0','1','2','3','4') NOT NULL DEFAULT '0',
  `time_v` int(11) NOT NULL DEFAULT 0,
  `top_c` int(11) NOT NULL DEFAULT 0,
  `top_time` int(11) NOT NULL DEFAULT 0,
  `boss_u` int(11) NOT NULL DEFAULT 0,
  `timev` int(11) NOT NULL DEFAULT 0,
  `time_arena` int(11) NOT NULL DEFAULT 0,
  `arena_xod` int(11) NOT NULL DEFAULT 0,
  `gift` enum('0','1') NOT NULL DEFAULT '0',
  `lvl_d` int(11) NOT NULL DEFAULT 0,
  `time_d` int(11) DEFAULT NULL,
  `bg_d` int(11) DEFAULT 0,
  `chat` enum('0','1') NOT NULL DEFAULT '0',
  `gold_clan` int(11) NOT NULL DEFAULT 0,
  `gold_clan_time` int(11) NOT NULL DEFAULT 0,
  `bos_boy` int(11) NOT NULL DEFAULT 0,
  `clan_chat` int(11) NOT NULL DEFAULT 0,
  `s_limit` int(11) DEFAULT NULL,
  `d_limit` int(11) NOT NULL,
  `g_limit` int(11) NOT NULL,
  `times_limit` int(11) DEFAULT NULL,
  `bunt` int(11) NOT NULL DEFAULT 0,
  `are` int(11) NOT NULL DEFAULT 0,
  `go` int(11) NOT NULL DEFAULT 0,
  `zdk` int(11) NOT NULL DEFAULT 0,
  `avtor` int(11) NOT NULL DEFAULT 0,
  `are1` int(11) NOT NULL DEFAULT 0,
  `lvl_sp` int(11) NOT NULL DEFAULT 1,
  `chat_ob` int(11) NOT NULL DEFAULT 0,
  `timon` int(11) NOT NULL DEFAULT 0,
  `podarok_vsem` int(11) NOT NULL DEFAULT 0,
  `bag_place` int(11) NOT NULL DEFAULT 70,
  `data_reg` int(11) NOT NULL,
  `warden` int(11) NOT NULL,
  `arena` int(11) NOT NULL,
  `snow` int(11) NOT NULL,
  `snow_rating` int(11) NOT NULL,
  `homes` int(11) NOT NULL DEFAULT 0,
  `clan_msg_read` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `login`, `password`, `sex`, `online`, `last_update`, `access`, `r`, `level`, `hp`, `mp`, `exp`, `exepy`, `g`, `s`, `d`, `p`, `c`, `skill`, `str`, `_str`, `vit`, `_vit`, `agi`, `_agi`, `def`, `_def`, `mana`, `_mana`, `w_1`, `w_2`, `w_3`, `w_4`, `w_5`, `w_6`, `w_7`, `w_8`, `save`, `ip`, `ua`, `self`, `bg`, `chest`, `arena_time`, `mail_closed`, `hod`, `hoda`, `metal`, `time_craft`, `object_craft`, `title`, `vor`, `email`, `lea`, `ava`, `news_read`, `lvl_new`, `am_o`, `time_v`, `top_c`, `top_time`, `boss_u`, `timev`, `time_arena`, `arena_xod`, `gift`, `lvl_d`, `time_d`, `bg_d`, `chat`, `gold_clan`, `gold_clan_time`, `bos_boy`, `clan_chat`, `s_limit`, `d_limit`, `g_limit`, `times_limit`, `bunt`, `are`, `go`, `zdk`, `avtor`, `are1`, `lvl_sp`, `chat_ob`, `timon`, `podarok_vsem`, `bag_place`, `data_reg`, `warden`, `arena`, `snow`, `snow_rating`, `homes`, `clan_msg_read`) VALUES
(1, '3020', 'fc59cb62a11b843c24b5257af915bcd9', '0', 1644832141, 1644832109, '4', '0', 1, 1000, 800, 0, 0, 8800, 56000, 0, 0, 0, 0, 1000, 0, 1000, 0, 10, 0, 1000, 0, 800, 0, 0, 0, 0, 0, 0, 0, 0, 0, '1', '185.199.6.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/98.0.4758.82 Safari/537.36', '/modules/admin/index.php', '0', '0', 0, NULL, NULL, NULL, 0, 0, 0, NULL, 0, '3020@3020.ru', 0, NULL, 1, '0', '0', 0, 0, 0, 0, 0, 0, 500, '0', 0, NULL, 0, '0', 0, 0, 0, 0, 6000, 50, 3000, 1644918509, 0, 0, 0, 0, 0, 0, 1, 0, 8, 0, 70, 1644832108, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `vips`
--

CREATE TABLE `vips` (
  `id` int(11) NOT NULL,
  `user` int(11) DEFAULT NULL,
  `json` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `warden`
--

CREATE TABLE `warden` (
  `level` int(11) NOT NULL,
  `health` bigint(255) NOT NULL,
  `start` int(11) NOT NULL,
  `end` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `warden`
--

INSERT INTO `warden` (`level`, `health`, `start`, `end`) VALUES
(983, 103300000, 1644238801, 1644240601);

-- --------------------------------------------------------

--
-- Структура таблицы `warden_battle`
--

CREATE TABLE `warden_battle` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `health` int(11) NOT NULL,
  `damage` bigint(255) NOT NULL,
  `stock` int(11) NOT NULL,
  `bonus` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_ban`
--

CREATE TABLE `_ban` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `reason` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `mode` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `who` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_forum`
--

CREATE TABLE `_forum` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `desc` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `access` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `_forum`
--

INSERT INTO `_forum` (`id`, `name`, `desc`, `access`) VALUES
(1, 'Вопросы по игре', '...', 0),
(2, 'Идеи для игры, и её улучшение', '...', 0),
(3, 'Новости тюрьмы', '...', 3),
(4, 'Общение', '...', 0),
(5, 'Инвесторы тюрьмы (Платежи в игре)', '...', 0),
(6, 'Помощь, справка (FAQ)', 'Здесь собрана база знаний об игре.', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `_forum_comments`
--

CREATE TABLE `_forum_comments` (
  `id` int(11) NOT NULL,
  `topic` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `text` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_forum_topic`
--

CREATE TABLE `_forum_topic` (
  `id` int(11) NOT NULL,
  `sub` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `close` int(11) NOT NULL,
  `fix` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_mail`
--

CREATE TABLE `_mail` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL,
  `delete` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_ticket`
--

CREATE TABLE `_ticket` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `subject` int(11) NOT NULL,
  `name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `_ticket_message`
--

CREATE TABLE `_ticket_message` (
  `id` int(11) NOT NULL,
  `ticket` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `support` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `accessories`
--
ALTER TABLE `accessories`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `accessory`
--
ALTER TABLE `accessory`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `arena`
--
ALTER TABLE `arena`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `basement_battle`
--
ALTER TABLE `basement_battle`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `basement_clans`
--
ALTER TABLE `basement_clans`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `basement_member`
--
ALTER TABLE `basement_member`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `battlepass`
--
ALTER TABLE `battlepass`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `beads`
--
ALTER TABLE `beads`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `buffs`
--
ALTER TABLE `buffs`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `casino_user`
--
ALTER TABLE `casino_user`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `caste`
--
ALTER TABLE `caste`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `chat`
--
ALTER TABLE `chat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `chest_user`
--
ALTER TABLE `chest_user`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clans`
--
ALTER TABLE `clans`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_forum`
--
ALTER TABLE `clan_forum`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_forum_comments`
--
ALTER TABLE `clan_forum_comments`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_forum_topic`
--
ALTER TABLE `clan_forum_topic`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_invite`
--
ALTER TABLE `clan_invite`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_journal`
--
ALTER TABLE `clan_journal`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_memb`
--
ALTER TABLE `clan_memb`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_msg`
--
ALTER TABLE `clan_msg`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_quest`
--
ALTER TABLE `clan_quest`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `complects`
--
ALTER TABLE `complects`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `daily_quest_user`
--
ALTER TABLE `daily_quest_user`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `dice`
--
ALTER TABLE `dice`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `escape`
--
ALTER TABLE `escape`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `escape_battle`
--
ALTER TABLE `escape_battle`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `escape_users`
--
ALTER TABLE `escape_users`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `farm`
--
ALTER TABLE `farm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `farm_logs`
--
ALTER TABLE `farm_logs`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `homes`
--
ALTER TABLE `homes`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `inv`
--
ALTER TABLE `inv`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `jailbreak`
--
ALTER TABLE `jailbreak`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `jailbreak_users`
--
ALTER TABLE `jailbreak_users`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `journal`
--
ALTER TABLE `journal`
  ADD PRIMARY KEY (`user_id`);

--
-- Индексы таблицы `manager`
--
ALTER TABLE `manager`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `manager_battle`
--
ALTER TABLE `manager_battle`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `marriage`
--
ALTER TABLE `marriage`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `payments`
--
ALTER TABLE `payments`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `pets`
--
ALTER TABLE `pets`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `pets_users`
--
ALTER TABLE `pets_users`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `present`
--
ALTER TABLE `present`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `ref`
--
ALTER TABLE `ref`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `reset_password`
--
ALTER TABLE `reset_password`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop`
--
ALTER TABLE `shop`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `snow`
--
ALTER TABLE `snow`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `stocks`
--
ALTER TABLE `stocks`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `undying`
--
ALTER TABLE `undying`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `undying_member`
--
ALTER TABLE `undying_member`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `vips`
--
ALTER TABLE `vips`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `warden_battle`
--
ALTER TABLE `warden_battle`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_ban`
--
ALTER TABLE `_ban`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_forum`
--
ALTER TABLE `_forum`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_forum_comments`
--
ALTER TABLE `_forum_comments`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_forum_topic`
--
ALTER TABLE `_forum_topic`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_mail`
--
ALTER TABLE `_mail`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_ticket`
--
ALTER TABLE `_ticket`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `_ticket_message`
--
ALTER TABLE `_ticket_message`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `accessories`
--
ALTER TABLE `accessories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `accessory`
--
ALTER TABLE `accessory`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `arena`
--
ALTER TABLE `arena`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `basement_battle`
--
ALTER TABLE `basement_battle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `basement_clans`
--
ALTER TABLE `basement_clans`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `basement_member`
--
ALTER TABLE `basement_member`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `battlepass`
--
ALTER TABLE `battlepass`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `beads`
--
ALTER TABLE `beads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `buffs`
--
ALTER TABLE `buffs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `casino_user`
--
ALTER TABLE `casino_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `caste`
--
ALTER TABLE `caste`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `chat`
--
ALTER TABLE `chat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `chest_user`
--
ALTER TABLE `chest_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clans`
--
ALTER TABLE `clans`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_forum`
--
ALTER TABLE `clan_forum`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_forum_comments`
--
ALTER TABLE `clan_forum_comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `clan_forum_topic`
--
ALTER TABLE `clan_forum_topic`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_invite`
--
ALTER TABLE `clan_invite`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_journal`
--
ALTER TABLE `clan_journal`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_memb`
--
ALTER TABLE `clan_memb`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_msg`
--
ALTER TABLE `clan_msg`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `clan_quest`
--
ALTER TABLE `clan_quest`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `complects`
--
ALTER TABLE `complects`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=30;

--
-- AUTO_INCREMENT для таблицы `daily_quest_user`
--
ALTER TABLE `daily_quest_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `dice`
--
ALTER TABLE `dice`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `escape`
--
ALTER TABLE `escape`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT для таблицы `escape_battle`
--
ALTER TABLE `escape_battle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `escape_users`
--
ALTER TABLE `escape_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `farm`
--
ALTER TABLE `farm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `farm_logs`
--
ALTER TABLE `farm_logs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `homes`
--
ALTER TABLE `homes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `inv`
--
ALTER TABLE `inv`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `items`
--
ALTER TABLE `items`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8161;

--
-- AUTO_INCREMENT для таблицы `jailbreak`
--
ALTER TABLE `jailbreak`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `jailbreak_users`
--
ALTER TABLE `jailbreak_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `journal`
--
ALTER TABLE `journal`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `manager`
--
ALTER TABLE `manager`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `manager_battle`
--
ALTER TABLE `manager_battle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `marriage`
--
ALTER TABLE `marriage`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `payments`
--
ALTER TABLE `payments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `pets`
--
ALTER TABLE `pets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT для таблицы `pets_users`
--
ALTER TABLE `pets_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `present`
--
ALTER TABLE `present`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `ref`
--
ALTER TABLE `ref`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `reset_password`
--
ALTER TABLE `reset_password`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `shop`
--
ALTER TABLE `shop`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=870;

--
-- AUTO_INCREMENT для таблицы `snow`
--
ALTER TABLE `snow`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `stocks`
--
ALTER TABLE `stocks`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `undying`
--
ALTER TABLE `undying`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `undying_member`
--
ALTER TABLE `undying_member`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `vips`
--
ALTER TABLE `vips`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `warden_battle`
--
ALTER TABLE `warden_battle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_ban`
--
ALTER TABLE `_ban`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_forum`
--
ALTER TABLE `_forum`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT для таблицы `_forum_comments`
--
ALTER TABLE `_forum_comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_forum_topic`
--
ALTER TABLE `_forum_topic`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_mail`
--
ALTER TABLE `_mail`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_ticket`
--
ALTER TABLE `_ticket`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `_ticket_message`
--
ALTER TABLE `_ticket_message`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
