<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if ( $user == false )
    {
        header("Location: /");
        exit;
    }

    $title = "Служба поддержки";
    include "../../system/h.php";

    $subject = [
        NULL,
        "Вопросы по игре",
        "Восстановление аккаунта",
        "Ошибка / Баг",
        "Вопросы по оплате",
        "Другое"
    ];
    $color_status = [
        0 => "color-quality2", #Ожидает ответа
        1 => "green", #Получен ответ
        2 => "red" #Закрыто
    ];
    $status = [
        0 => "Ожидает ответа",
        1 => "Получен ответ",
        2 => "Закрыто"
    ];

    $id = isset($_GET["subject_id"]) && !empty($_GET["subject_id"]) ? intval($_GET["subject_id"]) : false;
    $ticket_id = isset($_GET["ticket_id"]) && !empty($_GET["ticket_id"]) ? intval($_GET["ticket_id"]) : false;

    if ( $id == false and $ticket_id == false or $id < 0 and $ticket_id == false or $id >= 6 and $ticket_id == false )
    {
        echo "<div class=\"content\">
        <div class=\"block center s125 color3\">
        Служба поддержки
        </div>
        <div class=\"line\"></div>
        <div class=\"block\">
        <b>Выберите тему:</b>";

        $i = -1;
        foreach ( $subject as $arr )
        {$i++;
            echo "<div><a href=\"?subject_id={$i}\">{$arr}</a></div>";
        }

        echo "</div>
        <div class=\"line\"></div>";

        $max = 5;
        $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `_ticket` WHERE `user` = '{$user["id"]}'"));
        $pages = ceil($count[0] / $max);
        $page = trim($_GET["page"]);

        if($page > $pages) $page = $pages;
        if($page < 1) $page = 1;

        $start = $page * $max - $max;

        if($count[0] > 0){
            $query = mysql_query("SELECT * FROM `_ticket` WHERE `user` = '{$user["id"]}' ORDER BY `time` DESC LIMIT {$start}, {$max}");
            while($row = mysql_fetch_assoc($query)){

                echo "<div class=\"block\">
                <a href=\"?ticket_id={$row["id"]}\">{$row["name"]}</a>
                <div>Статус: <span class=\"{$color_status[$row["status"]]}\">{$status[$row["status"]]}</span></div>
                <div class=\"small color2\">Создан ".timeBack($row["time"])."</div>
                </div>";

            }
            echo "<div class=\"dotted\"></div>";
            ?>
                <ul class="pagination"><?=pages("?")?></ul>
            <?
        }else{

            echo "<div class=\"block color2\">Существующих тикетов нет</div>";

        }
        echo "</div>";
    }
    elseif ( $id == true and $id > 0 and $id <= 5 and $ticket_id == false)
    {
        if ( isset($_POST) and !empty($_POST) )
        {
            $name = trim($_POST["name"]);
            if ( mb_strlen($name) < 4 or mb_strlen($name) > 32 )
            {
                $_SESSION["errors"][0] = "Длинна названия должна быть от 4 до 32 символов";
            }
            $text = trim($_POST["text"]);
            if ( mb_strlen($text) < 15 or mb_strlen($text) > 2000 )
            {
                $_SESSION["errors"][1] = "Длинна сообщения должна быть от 15 до 2000 символов";
            }
            if ( isset($_SESSION["errors"]) )
            {
                header("Location: ?subject_id={$id}");
                exit;
            }
            $time = time();
            mysql_query("INSERT INTO `_ticket` (`user`, `subject`, `name`, `time`, `status`) VALUES ('{$user["id"]}', '{$id}', '{$name}', '{$time}', '0')");
            $new_ticket = mysql_insert_id();
            mysql_query("INSERT INTO `_ticket_message` (`ticket`, `user`, `support`, `text`, `time`) VALUES ('{$new_ticket}', '{$user["id"]}', '0', '{$text}', '{$time}')");
            header("Location: ?ticket_id={$new_ticket}");
            exit;
        }
        echo "<div class=\"content\">
        <div class=\"block center s125 color3\">
        Новый тикет
        </div>
        <div class=\"line\"></div>
        <form id=\"w{$user["sex"]}\" class=\"block\" action=\"?subject_id={$id}\" method=\"POST\">
        Тема: <u class=\"color3\">{$subject[$id]}</u>
        <div class=\"form-group field-text required ".($_SESSION["errors"][0] ? "has-error" : false)."\">
        <label for=\"name\" class=\"control-label\">Название</label>
        <input type=\"text\" id=\"name\" class=\"form-control\" name=\"name\">
        <div class=\"help-block\">".($_SESSION["errors"][0] ? $_SESSION["errors"][0] : false)."</div>
        </div>
        <div class=\"form-group field-text required ".($_SESSION["errors"][1] ? "has-error" : false)."\">
        <label for=\"text\" class=\"control-label\">Содержание</label>
        <textarea id=\"text\" class=\"form-control\" name=\"text\" rows=\"2\" aria-required=\"true\"></textarea>
        <div class=\"help-block\">".($_SESSION["errors"][1] ? $_SESSION["errors"][1] : false)."</div>
        </div>
        <span class=\"m3 btn_start middle\">
        <span class=\"btn_end\">
        <button type=\"submit\" class=\"btn\">Создать</button>
        </span>
        </span>
        </form>
        <div class=\"dotted\"></div>
        <div class=\"menu\">
        <li><a href=\"?\"><img src=\"/images/icons/back.png\" width=\"16\" height=\"16\" alt=\"\"> Вернуться назад</a></li>
        </div>
        </div>";
    }
    elseif ( $ticket_id == true and $id == false )
    {
        $check_ticket = mysql_fetch_assoc(mysql_query("SELECT `user` FROM `_ticket` WHERE `id` = '{$ticket_id}'"));
        if ( $check_ticket["user"] != $user["id"] )
        {
            header("Location: ?");
            exit;
        }
        $ticket = mysql_fetch_assoc(mysql_query("SELECT * FROM `_ticket` WHERE `id` = '{$ticket_id}'"));
        $read = mysql_fetch_assoc(mysql_query("SELECT * FROM `_ticket_message` WHERE `ticket` = '{$ticket_id}' AND `read` = '0'"));
        if ( $read == true )
        {
            mysql_query("UPDATE `_ticket_message` SET `read` = '1' WHERE `ticket` = '{$ticket_id}'");
        }
        if ( isset($_POST) and !empty($_POST) and $ticket["status"] != 2 )
        {
            $text = trim($_POST["text"]);
            if ( mb_strlen($text) < 2 or mb_strlen($text) > 2000 )
            {
                $_SESSION["error"] = "Длинна сообщения должна быть от 2 до 2000 символов";
                header("Location: ?ticket_id={$ticket_id}");
                exit;
            }
            $time = time();
            mysql_query("INSERT INTO `_ticket_message` (`ticket`, `user`, `text`, `time`) VALUES ('{$ticket_id}', '{$user["id"]}', '{$text}', '{$time}')");
            mysql_query("UPDATE `_ticket` SET `status` = '0' WHERE `id` = '{$ticket_id}'");
            header("Location: ?ticket_id={$ticket_id}");
            exit;
        }
        echo "<div class=\"content\">
        <div class=\"block center s125 color3\">
        Тикет#{$ticket_id}
        </div>
        <div class=\"line\"></div>
        <div class=\"block\">
        <u class=\"color3\">{$ticket["name"]}</u>
        <div>Тема: {$subject[$ticket["subject"]]}</div>
        <div>Автор: ".nickName($user["id"], true)."</div>
        <div>Статус: <span class=\"{$color_status[$ticket["status"]]}\">{$status[$ticket["status"]]}</span></div>
        </div>
        <div class=\"line\"></div>";

        if ( $ticket["status"] != 2 )
        {
            echo "<form id=\"w{$user["sex"]}\" action=\"?ticket_id={$ticket_id}\" method=\"POST\" class=\"block\">
            <div class=\"form-group field-text required ".($_SESSION["error"] ? "has-error" : false)."\">
            <label for=\"text\" class=\"control-label\">Написать</label>
            <textarea id=\"text\" class=\"form-control\" name=\"text\" rows=\"2\" aria-required=\"true\"></textarea>
            <div class=\"help-block\">".($_SESSION["error"] ? $_SESSION["error"] : false)."</div>
            </div>
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Отправить</button>
            </span>
            </span>
            </form>
            <div class=\"line\"></div>";
        }

        $max = 10;
        $count = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `_ticket_message` WHERE `ticket` = '{$ticket_id}'"));
        $pages = ceil($count[0] / $max);
        $page = trim($_GET["page"]);

        if($page > $pages) $page = $pages;
        if($page < 1) $page = 1;

        $start = $page * $max - $max;
        
        if($count[0] > 0){
            $query = mysql_query("SELECT * FROM `_ticket_message` WHERE `ticket` = '{$ticket_id}' ORDER BY `time` DESC LIMIT {$start}, {$max}");
            while($row = mysql_fetch_assoc($query))
            {
                if ( $row["support"] == 1 )
                {
                    echo "<div class=\"block\">
                    <img src=\"/images/icons/adminy.png\" width=\"16\" height=\"16\" alt=\"\"> <u class=\"color3\"><span>Поддержка</span></u> <span class=\"small color2\">".timeBack($row["time"])."</span>
                    <div>{$row["text"]}</div>
                    </div>";
                }
                else
                {
                    echo "<div class=\"block\">
                    ".nickName($user["id"], true, true, true)." <span class=\"small color2\">".timeBack($row["time"])."</span>
                    <div>{$row["text"]}</div>
                    </div>";
                }
            }
            echo "<div class=\"dotted\"></div>";
            ?>
                <ul class="pagination"><?=pages("?ticket_id={$ticket_id}&")?></ul>
                <div class="dotted"></div>
            <?
        }

        echo "<div class=\"menu\">
        <li><a href=\"?\"><img src=\"/images/icons/back.png\" width=\"16\" height=\"16\" alt=\"\"> Вернуться назад</a></li>
        </div>
        </div>";
    }

    if ( isset($_SESSION["errors"]) ) unset($_SESSION["errors"]);
    if ( isset($_SESSION["error"]) ) unset($_SESSION["error"]);

    include "../../system/f.php";