<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if ($user == false)
    {
        header("Location: /");
        exit;
    }

    $title = "Снежный магазин";
    include "../../system/h.php";

    $array = [
        "silver" => [
            "type" => "s",
            "reward" => 50000,
            "cost_snow" => 20
        ],
        "gold" => [
            "type" => "g",
            "reward" => 400,
            "cost_snow" => 20
        ],
        "donate" => [
            "type" => "d",
            "reward" => 100,
            "cost_snow" => 100
        ],
        "exp" => [
            "type" => "exp",
            "reward" => 2800,
            "cost_snow" => 10
        ]
    ];

    if (isset($_GET["category"]) and !empty($_GET["category"]))
    {
        $category = trim($_GET["category"]);
        if ($category != "items_869" and $category != "complects_29")
        {
            if($user["snow"] < $array[$category]["cost_snow"])
            {
                $_SESSION["error"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b class=\"color-quality6\"> <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\">".($array[$category]["cost_snow"] - $user["snow"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                header("Location: ?");
                exit;
            }
            mysql_query("UPDATE `users` SET `{$array[$category]["type"]}` = `{$array[$category]["type"]}` + '{$array[$category]["reward"]}', `snow` = `snow` - '{$array[$category]["cost_snow"]}' WHERE `id` = '{$user["id"]}'");
            header("Location: ?");
            exit;
        }
        elseif ($category == "items_869")
        {
            if($user["snow"] < 12000)
            {
                $_SESSION["error"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b class=\"color-quality6\"> <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\">".(12000 - $user["snow"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                header("Location: ?");
                exit;
            }
            mysql_query("UPDATE `users` SET `snow` = `snow` - '12000' WHERE `id` = '{$user["id"]}'");
            mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$user["id"]}', '869', '14', '0', '1', '2100000', '2100000', '2100000', '2100000', '2100000', '2100000')");
            header("Location: ?");
            exit;
        }
        elseif ($category == "complects_29")
        {
            if($user["snow"] < 24000)
            {
                $_SESSION["error"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b class=\"color-quality6\"> <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\">".(24000 - $user["snow"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                header("Location: ?");
                exit;
            }
            mysql_query("UPDATE `users` SET `snow` = `snow` - '24000' WHERE `id` = '{$user["id"]}'");
            for($i = 1; $i <= 8; $i++)
            {
                $quality = mysql_fetch_assoc(mysql_query("SELECT `w_{$i}` FROM `complects` WHERE `id` = '29'"));
                $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `items` WHERE `id` = '{$quality["w_{$i}"]}'"));
                $shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id` = '{$item["id"]}'"));
                mysql_query("INSERT INTO `inv` (`user`, `item`, `quality`, `smith`, `new`, `_str`, `_vit`, `_def`, `str_`, `vit_`, `def_`) VALUES ('{$user["id"]}', '{$item["id"]}', '11', '0', '1', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}', '{$shop["_str"]}', '{$shop["_vit"]}', '{$shop["_def"]}')");
            }
            header("Location: ?");
            exit;
        }
    }

    if (isset($_SESSION["error"]))
    {
        echo $_SESSION["error"];
        unset($_SESSION["error"]);
    }

    echo "<div class=\"content\">
    <div class=\"block center s125 color3\">
    Снежный магазин
    </div>
    <div class=\"line\"></div>
    <div class=\"block center\">
    У вас <b class=\"color-quality6\"><img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\">{$user["snow"]}</b>
    </div>
    <div class=\"line\"></div>
    <div class=\"block center\">
    <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> Рубли: 50000
    </div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=silver\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">20</b></a>
    </span>
    </span>
    </div>
    <div class=\"dotted\"></div>
    <div class=\"block center\">
    <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> Сахар: 400
    </div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=gold\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">20</b></a>
    </span>
    </span>
    </div>
    <div class=\"dotted\"></div>
    <div class=\"block center\">
    <img src=\"/images/icons/donate.png\" width=\"16\" height=\"16\" alt=\"\"> Сгущенка: 100
    </div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=donate\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">100</b></a>
    </span>
    </span>
    </div>
    <div class=\"dotted\"></div>
    <div class=\"block center\">
    <img src=\"/images/icons/experience.png\" width=\"16\" height=\"16\" alt=\"\"> Авторитет: 2800
    </div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=exp\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">10</b></a>
    </span>
    </span>
    </div>
    <div class=\"line\"></div>
    <div class=\"block\">
    <a href=\"#\"><img class=\"left mr8\" src=\"/images/items/869.jpg\" width=\"50\" alt=\"\"></a>
    <img src=\"/images/icons/equip.png\" width=\"16\" height=\"16\" alt=\"\">
    <a class=\"color-quality14\" href=\"#\">
    <span class=\"color-quality14\">Вышибала</span></a>
    <span ".($user["level"] < 100 ? "class=\"red\"" : false).">
    <img src=\"/images/icons/level.png\" width=\"16\" height=\"16\" alt=\"\"> 100 ур.
    </span>
    <div>
    <img src=\"/images/icons/health.png\" width=\"16\" height=\"16\" alt=\"\"> 2.1m
    <img src=\"/images/icons/damage.png\" width=\"16\" height=\"16\" alt=\"\"> 2.1m
    <img src=\"/images/icons/armor.png\" width=\"16\" height=\"16\" alt=\"\"> 2.1m
    <div class=\"clear\"></div>
    </div>
    </div>
    <div class=\"dotted\"></div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=items_869\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">12000</b></a>
    </span>
    </span>
    </div>
    <div class=\"line\"></div>
    <div class=\"block center\">
    <div>
    <img src=\"/w5-mnk-488-489-490-491-492-493-494-495-{$user["sex"]}\" width=\"120\" height=\"160\" alt=\"\">
    </div>
    <img src=\"/images/icons/equip.png\" width=\"16\" height=\"16\" alt=\"\">
    <a href=\"#\">Комплект надзирателя</a>
    <div class=\"green small\">+720k к каждому параметру за 1 шмотку</div>
    </div>
    <div class=\"dotted\"></div>
    <div class=\"block center\">
    <span class=\"btn_start\">
    <span class=\"btn_end\">
    <a class=\"btn\" href=\"?category=complects_29\" style=\"padding-top:3px\">Обменять за <img src=\"/images/icons/snowflake.png\" width=\"20\" height=\"20\" alt=\"\"><b class=\"color-quality6\">24000</b></a>
    </span>
    </span>
    </div>
    <div class=\"line\"></div>
    <ul class=\"block small\">
    <li class=\"color2\">
    Возможно, будут добавлены новые услуги, кто знает.
    </li>
    </ul>
    </div>";

    if (isset($_SESSION["error"])) unset($_SESSION["error"]);

    include "../../system/f.php";