<?php

    include "../../system/common.php";
    include "../../system/functions.php";
    include "../../system/user.php";

    if($user == false){

        header("Location: /");
        exit;

    }

    $title = "Качалка";
    include "../../system/h.php";

    $array = [
        "vit" => [
            "name" => "Здоровье",
            "type" => "health",
            "max_level" => $user["level"],
            "bonus" => (15 + ($user["_vit"] * 32)),
            "silver" => (45 + ($user["_vit"] * 640) * 2),
            "gold" => (12 + ($user["_vit"] * 28)),
            "percent" => round(100 / ($user["level"] / $user["_vit"]))
        ],
        "str" => [
            "name" => "Сила",
            "type" => "damage",
            "max_level" => $user["level"],
            "bonus" => (15 + ($user["_str"] * 32)),
            "silver" => (45 + ($user["_str"] * 640) * 2),
            "gold" => (12 + ($user["_str"] * 28)),
            "percent" => round(100 / ($user["level"] / $user["_str"]))
        ],
        "def" => [
            "name" => "Защита",
            "type" => "armor",
            "max_level" => $user["level"],
            "bonus" => (15 + ($user["_def"] * 32)),
            "silver" => (45 + ($user["_def"] * 640) * 2),
            "gold" => (12 + ($user["_def"] * 28)),
            "percent" => round(100 / ($user["level"] / $user["_def"]))
        ],
        "mana" => [
            "name" => "Энергия",
            "type" => "currentEnergy",
            "max_level" => ($user["level"] < 80 ? $user["level"] : 80),
            "bonus" => 20,
            "silver" => (45 + ($user["_mana"] * 640) * 2),
            "gold" => (12 + ($user["_mana"] * 28)),
            "percent" => round(100 / (($user["level"] < 80 ? $user["level"] : 80) / $user["_mana"]))
        ]
    ];

    $stockTrain = mysql_fetch_assoc(mysql_query("SELECT * FROM `stocks` WHERE `number` = '1' AND `time` > '".time()."'"));

    if(isset($_GET["id"]) && !empty($_GET["id"])){

        $id = intval($_GET["id"]);

        if($stockTrain == true){

            $type = [NULL, "vit", "str", "def", "mana"];
            for($i = 1; $i <= count($type); $i++){

                $array[$type[$i]]["silver"] -= ceil(($stockTrain["percent"] * $array[$type[$i]]["silver"]) / 100);
                $array[$type[$i]]["gold"] -= ceil(($stockTrain["percent"] * $array[$type[$i]]["gold"]) / 100);

            }
    
        }

        if($id == 1 and $user["_vit"] < $array["vit"]["max_level"]){

            if($user["s"] < $array["vit"]["silver"] and $user["g"] < $array["vit"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["vit"]["silver"] - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["vit"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["s"] < $array["vit"]["silver"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["vit"]["silver"] - $user["s"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }elseif($user["g"] < $array["vit"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["vit"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }

            mysql_query("UPDATE `users` SET `vit` = `vit` + '{$array["vit"]["bonus"]}', `_vit` = `_vit` + '1', `s` = `s` - '{$array["vit"]["silver"]}', `g` = `g` - '{$array["vit"]["gold"]}', `skill` = `skill` + '1' WHERE `id` = '{$user["id"]}'");

            $_SESSION["alert"] = "<div class=\"alert\">
            <div>
            <div class=\"s125 green\">Параметр успешно прокачен!</div>
            <div class=\"a_separator\"></div>
            Прокачка: +{$array["vit"]["bonus"]}<img src=\"/images/icons/health.png\" width=\"16\" height=\"16\" alt=\"\">
            </div>
            </div>
            <div class=\"alert_bottom\"></div>";

            header("Location: ?");
            exit;

        }

        if($id == 2 and $user["_str"] < $array["str"]["max_level"]){

            if($user["s"] < $array["str"]["silver"] and $user["g"] < $array["str"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["str"]["silver"] - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["str"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["s"] < $array["str"]["silver"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["str"]["silver"] - $user["s"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }elseif($user["g"] < $array["str"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["str"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }

            mysql_query("UPDATE `users` SET `str` = `str` + '{$array["str"]["bonus"]}', `_str` = `_str` + '1', `s` = `s` - '{$array["str"]["silver"]}', `g` = `g` - '{$array["str"]["gold"]}', `skill` = `skill` + '1' WHERE `id` = '{$user["id"]}'");

            $_SESSION["alert"] = "<div class=\"alert\">
            <div>
            <div class=\"s125 green\">Параметр успешно прокачен!</div>
            <div class=\"a_separator\"></div>
            Прокачка: +{$array["str"]["bonus"]}<img src=\"/images/icons/damage.png\" width=\"16\" height=\"16\" alt=\"\">
            </div>
            </div>
            <div class=\"alert_bottom\"></div>";

            header("Location: ?");
            exit;

        }

        if($id == 3 and $user["_def"] < $array["def"]["max_level"]){

            if($user["s"] < $array["def"]["silver"] and $user["g"] < $array["def"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["def"]["silver"] - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["def"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["s"] < $array["def"]["silver"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["def"]["silver"] - $user["s"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }elseif($user["g"] < $array["def"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["def"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }

            mysql_query("UPDATE `users` SET `def` = `def` + '{$array["def"]["bonus"]}', `_def` = `_def` + '1', `s` = `s` - '{$array["def"]["silver"]}', `g` = `g` - '{$array["def"]["gold"]}', `skill` = `skill` + '1' WHERE `id` = '{$user["id"]}'");

            $_SESSION["alert"] = "<div class=\"alert\">
            <div>
            <div class=\"s125 green\">Параметр успешно прокачен!</div>
            <div class=\"a_separator\"></div>
            Прокачка: +{$array["def"]["bonus"]}<img src=\"/images/icons/armor.png\" width=\"16\" height=\"16\" alt=\"\">
            </div>
            </div>
            <div class=\"alert_bottom\"></div>";

            header("Location: ?");
            exit;

        }

        if($id == 4 and $user["_mana"] < $array["mana"]["max_level"]){

            if($user["s"] < $array["mana"]["silver"] and $user["g"] < $array["mana"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["mana"]["silver"] - $user["s"])." <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["mana"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";

                header("Location: ?");
                exit;

            }elseif($user["s"] < $array["mana"]["silver"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["mana"]["silver"] - $user["s"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }elseif($user["g"] < $array["mana"]["gold"]){

                $_SESSION["errors"] = "<div class=\"alert\">
                <div class=\"color1 s125\">Башли не канают</div>
                Не хватает еще <b> <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> ".($array["mana"]["gold"] - $user["g"])."</b>
                <div class=\"a_separator\"></div>
                <span class=\"btn_start\">
                <span class=\"btn_end\">
                <a href=\"/pay\" class=\"btn\">Приобрести</a>
                </span>
                </span>
                </div>
                <div class=\"line\"></div>";
                
                header("Location: ?");
                exit;

            }

            mysql_query("UPDATE `users` SET `mana` = `mana` + '{$array["mana"]["bonus"]}', `_mana` = `_mana` + '1', `s` = `s` - '{$array["mana"]["silver"]}', `g` = `g` - '{$array["mana"]["gold"]}', `skill` = `skill` + '1' WHERE `id` = '{$user["id"]}'");

            $_SESSION["alert"] = "<div class=\"alert\">
            <div>
            <div class=\"s125 green\">Параметр успешно прокачен!</div>
            <div class=\"a_separator\"></div>
            Прокачка: +{$array["mana"]["bonus"]}<img src=\"/images/icons/currentEnergy.png\" width=\"16\" height=\"16\" alt=\"\">
            </div>
            </div>
            <div class=\"alert_bottom\"></div>";

            header("Location: ?");
            exit;

        }

    }

    if(isset($_SESSION["errors"]) or isset($_SESSION["alert"])){

        echo (isset($_SESSION["errors"]) ? $_SESSION["errors"] : $_SESSION["alert"]);
        unset($_SESSION["errors"], $_SESSION["alert"]);

    }

    echo "<div class=\"content\">
    <div class=\"block center s125 color3\">
    Качалка
    </div>
    <div class=\"line\"></div>";

    if($stockTrain == true)
        echo "<div class=\"alert center\">
        <b class=\"green\">Акция!</b>
        <div class=\"a_separator\"></div>
        <div>Скидка на качалку <span class=\"green\">{$stockTrain["percent"]}%</span></div>
        <div class=\"small color2\">Закончится через "._time($stockTrain["time"] - time())."</div>
        </div>
        <div class=\"alert_bottom\"></div>";

    $i = 0;
    foreach($array as $params => &$_array){ $i++;

        if($stockTrain == true){

            $_array["silver"] -= ceil(($stockTrain["percent"] * $_array["silver"]) / 100);
            $_array["gold"] -= ceil(($stockTrain["percent"] * $_array["gold"]) / 100);
    
        }
     
        echo "<div class=\"block\">
        <div class=\"left\">
        <div>
        <img src=\"/images/icons/{$_array["type"]}.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["name"]}: {$user["{$params}"]}
        </div>
        </div>
        <div>&nbsp;({$user["_{$params}"]}/{$_array["max_level"]})</div>
        <div class=\"clear\"></div>
        <div class=\"m3\">
        <div style=\"width: 50%; height: 6px\" class=\"progress-white\">
        <div style=\"width: {$_array["percent"]}%; height: 6px\" class=\"progress-green\"></div>
        </div>
        </div>";

        if($user["_{$params}"] < $_array["max_level"])
            echo "<ul class=\"small bold\">
            <li>Прокачка: +{$_array["bonus"]} <img src=\"/images/icons/{$_array["type"]}.png\" width=\"16\" height=\"16\" alt=\"\"></li>
            </ul>";

        echo "</div>
        <div class=\"dotted\"></div>";

        if($user["_{$params}"] < $_array["max_level"])
            echo "<div class=\"block center\">
            <span class=\"btn_start\">
            <span class=\"btn_end\">
            <a class=\"btn\" href=\"?id={$i}\">Прокачать за <img src=\"/images/icons/silver.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["silver"]} <img src=\"/images/icons/gold.png\" width=\"16\" height=\"16\" alt=\"\"> {$_array["gold"]}</a>
            </span>
            </span>
            </div>
            <div class=\"dotted\"></div>";

    }

    echo "</div>";

    include "../../system/f.php";